#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 407
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 206
#define ALIAS_COUNT 1
#define TOKEN_COUNT 139
#define EXTERNAL_TOKEN_COUNT 4
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 4

enum ts_symbol_identifiers {
    anon_sym_true = 1,
    anon_sym_false = 2,
    anon_sym_null = 3,
    anon_sym_none = 4,
    anon_sym_DASH = 5,
    anon_sym_PLUS = 6,
    sym_dec_literal = 7,
    anon_sym_e = 8,
    anon_sym_e_PLUS = 9,
    anon_sym_e_DASH = 10,
    anon_sym__ = 11,
    sym_oct_literal = 12,
    sym_bin_literal = 13,
    sym_hex_literal = 14,
    anon_sym_DOT = 15,
    anon_sym_LBRACK = 16,
    anon_sym_COMMA = 17,
    anon_sym_RBRACK = 18,
    anon_sym_LPAREN = 19,
    anon_sym_RPAREN = 20,
    anon_sym_LBRACE = 21,
    anon_sym_COLON = 22,
    anon_sym_RBRACE = 23,
    anon_sym_DQUOTE = 24,
    aux_sym_string_literal_token1 = 25,
    anon_sym_BSLASH_DQUOTE = 26,
    anon_sym_SQUOTE = 27,
    aux_sym_string_literal_token2 = 28,
    anon_sym_BSLASH_SQUOTE = 29,
    anon_sym_is = 30,
    anon_sym_boolean = 31,
    anon_sym_callable = 32,
    anon_sym_defined = 33,
    anon_sym_divisibleby = 34,
    anon_sym_eq = 35,
    anon_sym_escaped = 36,
    anon_sym_even = 37,
    anon_sym_filter = 38,
    anon_sym_float = 39,
    anon_sym_ge = 40,
    anon_sym_gt = 41,
    anon_sym_in = 42,
    anon_sym_integer = 43,
    anon_sym_iterable = 44,
    anon_sym_le = 45,
    anon_sym_lower = 46,
    anon_sym_lt = 47,
    anon_sym_mapping = 48,
    anon_sym_ne = 49,
    anon_sym_number = 50,
    anon_sym_odd = 51,
    anon_sym_sameas = 52,
    anon_sym_sequence = 53,
    anon_sym_string = 54,
    anon_sym_test = 55,
    anon_sym_undefined = 56,
    anon_sym_upper = 57,
    anon_sym_EQ = 58,
    anon_sym_STAR = 59,
    anon_sym_SLASH = 60,
    anon_sym_SLASH_SLASH = 61,
    anon_sym_PERCENT = 62,
    anon_sym_STAR_STAR = 63,
    anon_sym_EQ_EQ = 64,
    anon_sym_BANG_EQ = 65,
    anon_sym_GT = 66,
    anon_sym_GT_EQ = 67,
    anon_sym_LT = 68,
    anon_sym_LT_EQ = 69,
    anon_sym_and = 70,
    anon_sym_or = 71,
    anon_sym_PIPE = 72,
    anon_sym_TILDE = 73,
    anon_sym_not = 74,
    anon_sym_BANG = 75,
    anon_sym_endfor = 76,
    anon_sym_elif = 77,
    anon_sym_else = 78,
    anon_sym_endif = 79,
    anon_sym_endblock = 80,
    anon_sym_endwith = 81,
    anon_sym_endfilter = 82,
    anon_sym_endmacro = 83,
    anon_sym_endcall = 84,
    anon_sym_endset = 85,
    anon_sym_endtrans = 86,
    anon_sym_continue = 87,
    anon_sym_break = 88,
    anon_sym_debug = 89,
    anon_sym_endautoescape = 90,
    anon_sym_do = 91,
    anon_sym_autoescape = 92,
    anon_sym_trans = 93,
    anon_sym_pluralize = 94,
    anon_sym_if = 95,
    anon_sym_block = 96,
    anon_sym_macro = 97,
    anon_sym_extends = 98,
    anon_sym_call = 99,
    anon_sym_with = 100,
    anon_sym_import = 101,
    anon_sym_from = 102,
    anon_sym_as = 103,
    anon_sym_include = 104,
    anon_sym_ignore = 105,
    anon_sym_missing = 106,
    anon_sym_without = 107,
    anon_sym_context = 108,
    anon_sym_set = 109,
    anon_sym_for = 110,
    anon_sym_recursive = 111,
    aux_sym_words_token1 = 112,
    aux_sym_words_token2 = 113,
    sym_identifier = 114,
    anon_sym_POUND_POUND = 115,
    aux_sym_comment_token1 = 116,
    aux_sym_comment_token2 = 117,
    anon_sym_LBRACE_POUND = 118,
    aux_sym_comment_token3 = 119,
    anon_sym_POUND = 120,
    anon_sym_POUND_RBRACE = 121,
    anon_sym_LBRACE_LBRACE = 122,
    anon_sym_LBRACE_LBRACE_DASH = 123,
    anon_sym_LBRACE_LBRACE_PLUS = 124,
    anon_sym_RBRACE_RBRACE = 125,
    anon_sym_DASH_RBRACE_RBRACE = 126,
    anon_sym_PLUS_RBRACE_RBRACE = 127,
    anon_sym_LBRACE_PERCENT = 128,
    anon_sym_LBRACE_PERCENT_DASH = 129,
    anon_sym_LBRACE_PERCENT_PLUS = 130,
    anon_sym_DASH_PERCENT_RBRACE = 131,
    anon_sym_PERCENT_RBRACE = 132,
    anon_sym_PLUS_PERCENT_RBRACE = 133,
    anon_sym_POUND2 = 134,
    sym_raw_start = 135,
    sym__raw_char = 136,
    sym_raw_end = 137,
    sym__inline_words = 138,
    sym_source = 139,
    sym_literal = 140,
    sym_boolean_literal = 141,
    sym_null_literal = 142,
    sym_number_literal = 143,
    sym_big_dec_literal = 144,
    sym_float_literal = 145,
    sym_list_literal = 146,
    sym_tuple_literal = 147,
    sym_dict_literal = 148,
    sym_string_literal = 149,
    sym_expression = 150,
    sym_binary_expression = 151,
    sym_builtin_test = 152,
    sym_assignment_expression = 153,
    sym_in_expression = 154,
    sym_binary_operator = 155,
    sym_unary_expression = 156,
    sym_unary_operator = 157,
    sym_primary_expression = 158,
    sym_function_call = 159,
    sym_arg = 160,
    sym_inline_trans = 161,
    sym_statement = 162,
    sym_do_statement = 163,
    sym_autoescape_statement = 164,
    sym_trans_statement = 165,
    sym_pluralize_statement = 166,
    sym_ternary_expression = 167,
    sym_block_statement = 168,
    sym_filter_statement = 169,
    sym_macro_statement = 170,
    sym_extends_statement = 171,
    sym_call_statement = 172,
    sym_with_statement = 173,
    sym_import_statement = 174,
    sym_import_from = 175,
    sym_import_as = 176,
    sym_import_attribute = 177,
    sym_include_statement = 178,
    sym_include_attribute = 179,
    sym_attribute_ignore = 180,
    sym_attribute_context = 181,
    sym_set_statement = 182,
    sym_for_statement = 183,
    sym_if_expression = 184,
    sym_words = 185,
    sym_comment = 186,
    sym_definition = 187,
    sym_render_expression = 188,
    sym_control = 189,
    sym_raw_block = 190,
    sym_inline = 191,
    aux_sym_source_repeat1 = 192,
    aux_sym_list_literal_repeat1 = 193,
    aux_sym_dict_literal_repeat1 = 194,
    aux_sym_string_literal_repeat1 = 195,
    aux_sym_string_literal_repeat2 = 196,
    aux_sym_assignment_expression_repeat1 = 197,
    aux_sym_in_expression_repeat1 = 198,
    aux_sym_function_call_repeat1 = 199,
    aux_sym_trans_statement_repeat1 = 200,
    aux_sym_with_statement_repeat1 = 201,
    aux_sym_include_statement_repeat1 = 202,
    aux_sym_words_repeat1 = 203,
    aux_sym_comment_repeat1 = 204,
    aux_sym_raw_block_repeat1 = 205,
    alias_sym_raw_body = 206,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_true] = "true",
    [anon_sym_false] = "false",
    [anon_sym_null] = "null",
    [anon_sym_none] = "none",
    [anon_sym_DASH] = "-",
    [anon_sym_PLUS] = "+",
    [sym_dec_literal] = "dec_literal",
    [anon_sym_e] = "e",
    [anon_sym_e_PLUS] = "e+",
    [anon_sym_e_DASH] = "e-",
    [anon_sym__] = "_",
    [sym_oct_literal] = "oct_literal",
    [sym_bin_literal] = "bin_literal",
    [sym_hex_literal] = "hex_literal",
    [anon_sym_DOT] = ".",
    [anon_sym_LBRACK] = "[",
    [anon_sym_COMMA] = ",",
    [anon_sym_RBRACK] = "]",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_LBRACE] = "{",
    [anon_sym_COLON] = ":",
    [anon_sym_RBRACE] = "}",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_literal_token1",
    [anon_sym_BSLASH_DQUOTE] = "\\\"",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_string_literal_token2] = "string_literal_token2",
    [anon_sym_BSLASH_SQUOTE] = "\\'",
    [anon_sym_is] = "binary_operator",
    [anon_sym_boolean] = "boolean",
    [anon_sym_callable] = "callable",
    [anon_sym_defined] = "defined",
    [anon_sym_divisibleby] = "divisibleby",
    [anon_sym_eq] = "eq",
    [anon_sym_escaped] = "escaped",
    [anon_sym_even] = "even",
    [anon_sym_filter] = "filter",
    [anon_sym_float] = "float",
    [anon_sym_ge] = "ge",
    [anon_sym_gt] = "gt",
    [anon_sym_in] = "in",
    [anon_sym_integer] = "integer",
    [anon_sym_iterable] = "iterable",
    [anon_sym_le] = "le",
    [anon_sym_lower] = "lower",
    [anon_sym_lt] = "lt",
    [anon_sym_mapping] = "mapping",
    [anon_sym_ne] = "ne",
    [anon_sym_number] = "number",
    [anon_sym_odd] = "odd",
    [anon_sym_sameas] = "sameas",
    [anon_sym_sequence] = "sequence",
    [anon_sym_string] = "string",
    [anon_sym_test] = "test",
    [anon_sym_undefined] = "undefined",
    [anon_sym_upper] = "upper",
    [anon_sym_EQ] = "binary_operator",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_SLASH_SLASH] = "//",
    [anon_sym_PERCENT] = "%",
    [anon_sym_STAR_STAR] = "**",
    [anon_sym_EQ_EQ] = "==",
    [anon_sym_BANG_EQ] = "!=",
    [anon_sym_GT] = ">",
    [anon_sym_GT_EQ] = ">=",
    [anon_sym_LT] = "<",
    [anon_sym_LT_EQ] = "<=",
    [anon_sym_and] = "and",
    [anon_sym_or] = "or",
    [anon_sym_PIPE] = "|",
    [anon_sym_TILDE] = "~",
    [anon_sym_not] = "not",
    [anon_sym_BANG] = "!",
    [anon_sym_endfor] = "endfor",
    [anon_sym_elif] = "elif",
    [anon_sym_else] = "else",
    [anon_sym_endif] = "endif",
    [anon_sym_endblock] = "endblock",
    [anon_sym_endwith] = "endwith",
    [anon_sym_endfilter] = "endfilter",
    [anon_sym_endmacro] = "endmacro",
    [anon_sym_endcall] = "endcall",
    [anon_sym_endset] = "endset",
    [anon_sym_endtrans] = "endtrans",
    [anon_sym_continue] = "continue",
    [anon_sym_break] = "break",
    [anon_sym_debug] = "debug",
    [anon_sym_endautoescape] = "endautoescape",
    [anon_sym_do] = "do",
    [anon_sym_autoescape] = "autoescape",
    [anon_sym_trans] = "trans",
    [anon_sym_pluralize] = "pluralize",
    [anon_sym_if] = "if",
    [anon_sym_block] = "block",
    [anon_sym_macro] = "macro",
    [anon_sym_extends] = "extends",
    [anon_sym_call] = "call",
    [anon_sym_with] = "with",
    [anon_sym_import] = "import",
    [anon_sym_from] = "from",
    [anon_sym_as] = "as",
    [anon_sym_include] = "include",
    [anon_sym_ignore] = "ignore",
    [anon_sym_missing] = "missing",
    [anon_sym_without] = "without",
    [anon_sym_context] = "context",
    [anon_sym_set] = "set",
    [anon_sym_for] = "for",
    [anon_sym_recursive] = "recursive",
    [aux_sym_words_token1] = "words_token1",
    [aux_sym_words_token2] = "words_token2",
    [sym_identifier] = "identifier",
    [anon_sym_POUND_POUND] = "##",
    [aux_sym_comment_token1] = "comment_token1",
    [aux_sym_comment_token2] = "comment_token2",
    [anon_sym_LBRACE_POUND] = "{#",
    [aux_sym_comment_token3] = "comment_token3",
    [anon_sym_POUND] = "#",
    [anon_sym_POUND_RBRACE] = "#}",
    [anon_sym_LBRACE_LBRACE] = "{{",
    [anon_sym_LBRACE_LBRACE_DASH] = "{{-",
    [anon_sym_LBRACE_LBRACE_PLUS] = "{{+",
    [anon_sym_RBRACE_RBRACE] = "}}",
    [anon_sym_DASH_RBRACE_RBRACE] = "-}}",
    [anon_sym_PLUS_RBRACE_RBRACE] = "+}}",
    [anon_sym_LBRACE_PERCENT] = "{%",
    [anon_sym_LBRACE_PERCENT_DASH] = "{%-",
    [anon_sym_LBRACE_PERCENT_PLUS] = "{%+",
    [anon_sym_DASH_PERCENT_RBRACE] = "-%}",
    [anon_sym_PERCENT_RBRACE] = "%}",
    [anon_sym_PLUS_PERCENT_RBRACE] = "+%}",
    [anon_sym_POUND2] = "# ",
    [sym_raw_start] = "raw_start",
    [sym__raw_char] = "_raw_char",
    [sym_raw_end] = "raw_end",
    [sym__inline_words] = "_inline_words",
    [sym_source] = "source",
    [sym_literal] = "literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_null_literal] = "null_literal",
    [sym_number_literal] = "number_literal",
    [sym_big_dec_literal] = "big_dec_literal",
    [sym_float_literal] = "float_literal",
    [sym_list_literal] = "list_literal",
    [sym_tuple_literal] = "tuple_literal",
    [sym_dict_literal] = "dict_literal",
    [sym_string_literal] = "string_literal",
    [sym_expression] = "expression",
    [sym_binary_expression] = "binary_expression",
    [sym_builtin_test] = "builtin_test",
    [sym_assignment_expression] = "assignment_expression",
    [sym_in_expression] = "in_expression",
    [sym_binary_operator] = "binary_operator",
    [sym_unary_expression] = "unary_expression",
    [sym_unary_operator] = "unary_operator",
    [sym_primary_expression] = "primary_expression",
    [sym_function_call] = "function_call",
    [sym_arg] = "arg",
    [sym_inline_trans] = "inline_trans",
    [sym_statement] = "statement",
    [sym_do_statement] = "do_statement",
    [sym_autoescape_statement] = "autoescape_statement",
    [sym_trans_statement] = "trans_statement",
    [sym_pluralize_statement] = "pluralize_statement",
    [sym_ternary_expression] = "ternary_expression",
    [sym_block_statement] = "block_statement",
    [sym_filter_statement] = "filter_statement",
    [sym_macro_statement] = "macro_statement",
    [sym_extends_statement] = "extends_statement",
    [sym_call_statement] = "call_statement",
    [sym_with_statement] = "with_statement",
    [sym_import_statement] = "import_statement",
    [sym_import_from] = "import_from",
    [sym_import_as] = "import_as",
    [sym_import_attribute] = "import_attribute",
    [sym_include_statement] = "include_statement",
    [sym_include_attribute] = "include_attribute",
    [sym_attribute_ignore] = "attribute_ignore",
    [sym_attribute_context] = "attribute_context",
    [sym_set_statement] = "set_statement",
    [sym_for_statement] = "for_statement",
    [sym_if_expression] = "if_expression",
    [sym_words] = "words",
    [sym_comment] = "comment",
    [sym_definition] = "definition",
    [sym_render_expression] = "render_expression",
    [sym_control] = "control",
    [sym_raw_block] = "raw_block",
    [sym_inline] = "inline",
    [aux_sym_source_repeat1] = "source_repeat1",
    [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
    [aux_sym_dict_literal_repeat1] = "dict_literal_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_string_literal_repeat2] = "string_literal_repeat2",
    [aux_sym_assignment_expression_repeat1] = "assignment_expression_repeat1",
    [aux_sym_in_expression_repeat1] = "in_expression_repeat1",
    [aux_sym_function_call_repeat1] = "function_call_repeat1",
    [aux_sym_trans_statement_repeat1] = "trans_statement_repeat1",
    [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
    [aux_sym_include_statement_repeat1] = "include_statement_repeat1",
    [aux_sym_words_repeat1] = "words_repeat1",
    [aux_sym_comment_repeat1] = "comment_repeat1",
    [aux_sym_raw_block_repeat1] = "raw_block_repeat1",
    [alias_sym_raw_body] = "raw_body",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_true] = anon_sym_true,
    [anon_sym_false] = anon_sym_false,
    [anon_sym_null] = anon_sym_null,
    [anon_sym_none] = anon_sym_none,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [sym_dec_literal] = sym_dec_literal,
    [anon_sym_e] = anon_sym_e,
    [anon_sym_e_PLUS] = anon_sym_e_PLUS,
    [anon_sym_e_DASH] = anon_sym_e_DASH,
    [anon_sym__] = anon_sym__,
    [sym_oct_literal] = sym_oct_literal,
    [sym_bin_literal] = sym_bin_literal,
    [sym_hex_literal] = sym_hex_literal,
    [anon_sym_DOT] = anon_sym_DOT,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_BSLASH_DQUOTE] = anon_sym_BSLASH_DQUOTE,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_string_literal_token2] = aux_sym_string_literal_token2,
    [anon_sym_BSLASH_SQUOTE] = anon_sym_BSLASH_SQUOTE,
    [anon_sym_is] = sym_binary_operator,
    [anon_sym_boolean] = anon_sym_boolean,
    [anon_sym_callable] = anon_sym_callable,
    [anon_sym_defined] = anon_sym_defined,
    [anon_sym_divisibleby] = anon_sym_divisibleby,
    [anon_sym_eq] = anon_sym_eq,
    [anon_sym_escaped] = anon_sym_escaped,
    [anon_sym_even] = anon_sym_even,
    [anon_sym_filter] = anon_sym_filter,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_ge] = anon_sym_ge,
    [anon_sym_gt] = anon_sym_gt,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_integer] = anon_sym_integer,
    [anon_sym_iterable] = anon_sym_iterable,
    [anon_sym_le] = anon_sym_le,
    [anon_sym_lower] = anon_sym_lower,
    [anon_sym_lt] = anon_sym_lt,
    [anon_sym_mapping] = anon_sym_mapping,
    [anon_sym_ne] = anon_sym_ne,
    [anon_sym_number] = anon_sym_number,
    [anon_sym_odd] = anon_sym_odd,
    [anon_sym_sameas] = anon_sym_sameas,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_test] = anon_sym_test,
    [anon_sym_undefined] = anon_sym_undefined,
    [anon_sym_upper] = anon_sym_upper,
    [anon_sym_EQ] = sym_binary_operator,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
    [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
    [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_GT_EQ] = anon_sym_GT_EQ,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_LT_EQ] = anon_sym_LT_EQ,
    [anon_sym_and] = anon_sym_and,
    [anon_sym_or] = anon_sym_or,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [anon_sym_not] = anon_sym_not,
    [anon_sym_BANG] = anon_sym_BANG,
    [anon_sym_endfor] = anon_sym_endfor,
    [anon_sym_elif] = anon_sym_elif,
    [anon_sym_else] = anon_sym_else,
    [anon_sym_endif] = anon_sym_endif,
    [anon_sym_endblock] = anon_sym_endblock,
    [anon_sym_endwith] = anon_sym_endwith,
    [anon_sym_endfilter] = anon_sym_endfilter,
    [anon_sym_endmacro] = anon_sym_endmacro,
    [anon_sym_endcall] = anon_sym_endcall,
    [anon_sym_endset] = anon_sym_endset,
    [anon_sym_endtrans] = anon_sym_endtrans,
    [anon_sym_continue] = anon_sym_continue,
    [anon_sym_break] = anon_sym_break,
    [anon_sym_debug] = anon_sym_debug,
    [anon_sym_endautoescape] = anon_sym_endautoescape,
    [anon_sym_do] = anon_sym_do,
    [anon_sym_autoescape] = anon_sym_autoescape,
    [anon_sym_trans] = anon_sym_trans,
    [anon_sym_pluralize] = anon_sym_pluralize,
    [anon_sym_if] = anon_sym_if,
    [anon_sym_block] = anon_sym_block,
    [anon_sym_macro] = anon_sym_macro,
    [anon_sym_extends] = anon_sym_extends,
    [anon_sym_call] = anon_sym_call,
    [anon_sym_with] = anon_sym_with,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_from] = anon_sym_from,
    [anon_sym_as] = anon_sym_as,
    [anon_sym_include] = anon_sym_include,
    [anon_sym_ignore] = anon_sym_ignore,
    [anon_sym_missing] = anon_sym_missing,
    [anon_sym_without] = anon_sym_without,
    [anon_sym_context] = anon_sym_context,
    [anon_sym_set] = anon_sym_set,
    [anon_sym_for] = anon_sym_for,
    [anon_sym_recursive] = anon_sym_recursive,
    [aux_sym_words_token1] = aux_sym_words_token1,
    [aux_sym_words_token2] = aux_sym_words_token2,
    [sym_identifier] = sym_identifier,
    [anon_sym_POUND_POUND] = anon_sym_POUND_POUND,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [anon_sym_LBRACE_POUND] = anon_sym_LBRACE_POUND,
    [aux_sym_comment_token3] = aux_sym_comment_token3,
    [anon_sym_POUND] = anon_sym_POUND,
    [anon_sym_POUND_RBRACE] = anon_sym_POUND_RBRACE,
    [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
    [anon_sym_LBRACE_LBRACE_DASH] = anon_sym_LBRACE_LBRACE_DASH,
    [anon_sym_LBRACE_LBRACE_PLUS] = anon_sym_LBRACE_LBRACE_PLUS,
    [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
    [anon_sym_DASH_RBRACE_RBRACE] = anon_sym_DASH_RBRACE_RBRACE,
    [anon_sym_PLUS_RBRACE_RBRACE] = anon_sym_PLUS_RBRACE_RBRACE,
    [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
    [anon_sym_LBRACE_PERCENT_DASH] = anon_sym_LBRACE_PERCENT_DASH,
    [anon_sym_LBRACE_PERCENT_PLUS] = anon_sym_LBRACE_PERCENT_PLUS,
    [anon_sym_DASH_PERCENT_RBRACE] = anon_sym_DASH_PERCENT_RBRACE,
    [anon_sym_PERCENT_RBRACE] = anon_sym_PERCENT_RBRACE,
    [anon_sym_PLUS_PERCENT_RBRACE] = anon_sym_PLUS_PERCENT_RBRACE,
    [anon_sym_POUND2] = anon_sym_POUND2,
    [sym_raw_start] = sym_raw_start,
    [sym__raw_char] = sym__raw_char,
    [sym_raw_end] = sym_raw_end,
    [sym__inline_words] = sym__inline_words,
    [sym_source] = sym_source,
    [sym_literal] = sym_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_null_literal] = sym_null_literal,
    [sym_number_literal] = sym_number_literal,
    [sym_big_dec_literal] = sym_big_dec_literal,
    [sym_float_literal] = sym_float_literal,
    [sym_list_literal] = sym_list_literal,
    [sym_tuple_literal] = sym_tuple_literal,
    [sym_dict_literal] = sym_dict_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_expression] = sym_expression,
    [sym_binary_expression] = sym_binary_expression,
    [sym_builtin_test] = sym_builtin_test,
    [sym_assignment_expression] = sym_assignment_expression,
    [sym_in_expression] = sym_in_expression,
    [sym_binary_operator] = sym_binary_operator,
    [sym_unary_expression] = sym_unary_expression,
    [sym_unary_operator] = sym_unary_operator,
    [sym_primary_expression] = sym_primary_expression,
    [sym_function_call] = sym_function_call,
    [sym_arg] = sym_arg,
    [sym_inline_trans] = sym_inline_trans,
    [sym_statement] = sym_statement,
    [sym_do_statement] = sym_do_statement,
    [sym_autoescape_statement] = sym_autoescape_statement,
    [sym_trans_statement] = sym_trans_statement,
    [sym_pluralize_statement] = sym_pluralize_statement,
    [sym_ternary_expression] = sym_ternary_expression,
    [sym_block_statement] = sym_block_statement,
    [sym_filter_statement] = sym_filter_statement,
    [sym_macro_statement] = sym_macro_statement,
    [sym_extends_statement] = sym_extends_statement,
    [sym_call_statement] = sym_call_statement,
    [sym_with_statement] = sym_with_statement,
    [sym_import_statement] = sym_import_statement,
    [sym_import_from] = sym_import_from,
    [sym_import_as] = sym_import_as,
    [sym_import_attribute] = sym_import_attribute,
    [sym_include_statement] = sym_include_statement,
    [sym_include_attribute] = sym_include_attribute,
    [sym_attribute_ignore] = sym_attribute_ignore,
    [sym_attribute_context] = sym_attribute_context,
    [sym_set_statement] = sym_set_statement,
    [sym_for_statement] = sym_for_statement,
    [sym_if_expression] = sym_if_expression,
    [sym_words] = sym_words,
    [sym_comment] = sym_comment,
    [sym_definition] = sym_definition,
    [sym_render_expression] = sym_render_expression,
    [sym_control] = sym_control,
    [sym_raw_block] = sym_raw_block,
    [sym_inline] = sym_inline,
    [aux_sym_source_repeat1] = aux_sym_source_repeat1,
    [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
    [aux_sym_dict_literal_repeat1] = aux_sym_dict_literal_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_string_literal_repeat2] = aux_sym_string_literal_repeat2,
    [aux_sym_assignment_expression_repeat1] = aux_sym_assignment_expression_repeat1,
    [aux_sym_in_expression_repeat1] = aux_sym_in_expression_repeat1,
    [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
    [aux_sym_trans_statement_repeat1] = aux_sym_trans_statement_repeat1,
    [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
    [aux_sym_include_statement_repeat1] = aux_sym_include_statement_repeat1,
    [aux_sym_words_repeat1] = aux_sym_words_repeat1,
    [aux_sym_comment_repeat1] = aux_sym_comment_repeat1,
    [aux_sym_raw_block_repeat1] = aux_sym_raw_block_repeat1,
    [alias_sym_raw_body] = alias_sym_raw_body,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_true] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_false] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_null] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_none] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [sym_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_e] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym__] = {
        .visible = true,
        .named = false,
    },
    [sym_oct_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_bin_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_hex_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_is] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_boolean] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_callable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_defined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_divisibleby] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eq] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_escaped] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_even] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_filter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ge] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_gt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_integer] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_iterable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_le] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lower] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mapping] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ne] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_number] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_odd] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sameas] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_test] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_undefined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_upper] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_and] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_or] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_not] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfor] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_elif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_else] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endblock] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endwith] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfilter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endmacro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endcall] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endtrans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_continue] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_break] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_debug] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endautoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_do] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_trans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_pluralize] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_if] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_block] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_macro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extends] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_call] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_with] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_from] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_as] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_include] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ignore] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_missing] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_without] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_set] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_for] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_recursive] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_words_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_POUND_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_LBRACE_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token3] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_POUND] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUND_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_LBRACE_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS_RBRACE_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE_PERCENT_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS_PERCENT_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUND2] = {
        .visible = true,
        .named = false,
    },
    [sym_raw_start] = {
        .visible = true,
        .named = true,
    },
    [sym__raw_char] = {
        .visible = false,
        .named = true,
    },
    [sym_raw_end] = {
        .visible = true,
        .named = true,
    },
    [sym__inline_words] = {
        .visible = false,
        .named = true,
    },
    [sym_source] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_null_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_number_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_big_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_float_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_list_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_tuple_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_dict_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_builtin_test] = {
        .visible = true,
        .named = true,
    },
    [sym_assignment_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_in_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_function_call] = {
        .visible = true,
        .named = true,
    },
    [sym_arg] = {
        .visible = true,
        .named = true,
    },
    [sym_inline_trans] = {
        .visible = true,
        .named = true,
    },
    [sym_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_do_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_autoescape_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_trans_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_pluralize_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_ternary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_block_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_filter_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_macro_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_extends_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_call_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_with_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_from] = {
        .visible = true,
        .named = true,
    },
    [sym_import_as] = {
        .visible = true,
        .named = true,
    },
    [sym_import_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_include_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_include_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_ignore] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_context] = {
        .visible = true,
        .named = true,
    },
    [sym_set_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_for_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_if_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_words] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_render_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_control] = {
        .visible = true,
        .named = true,
    },
    [sym_raw_block] = {
        .visible = true,
        .named = true,
    },
    [sym_inline] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_source_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_list_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_dict_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_assignment_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_function_call_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_trans_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_with_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_include_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raw_block_repeat1] = {
        .visible = false,
        .named = false,
    },
    [alias_sym_raw_body] = {
        .visible = true,
        .named = true,
    },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
    [1] = {
        [1] = alias_sym_raw_body,
    },
    [2] = {
        [1] = sym_binary_operator,
    },
    [3] = {
        [2] = sym_binary_operator,
    },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    aux_sym_raw_block_repeat1,
    2,
    aux_sym_raw_block_repeat1,
    alias_sym_raw_body,
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 2,
    [4] = 2,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 11,
    [14] = 9,
    [15] = 12,
    [16] = 11,
    [17] = 9,
    [18] = 12,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 19,
    [28] = 28,
    [29] = 21,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 31,
    [35] = 19,
    [36] = 36,
    [37] = 28,
    [38] = 38,
    [39] = 39,
    [40] = 24,
    [41] = 31,
    [42] = 28,
    [43] = 21,
    [44] = 24,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 46,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 54,
    [60] = 52,
    [61] = 61,
    [62] = 62,
    [63] = 46,
    [64] = 52,
    [65] = 58,
    [66] = 66,
    [67] = 67,
    [68] = 50,
    [69] = 69,
    [70] = 50,
    [71] = 71,
    [72] = 71,
    [73] = 73,
    [74] = 74,
    [75] = 75,
    [76] = 71,
    [77] = 73,
    [78] = 78,
    [79] = 79,
    [80] = 79,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 84,
    [85] = 85,
    [86] = 86,
    [87] = 87,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 88,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 94,
    [106] = 106,
    [107] = 107,
    [108] = 94,
    [109] = 109,
    [110] = 110,
    [111] = 88,
    [112] = 112,
    [113] = 113,
    [114] = 25,
    [115] = 22,
    [116] = 25,
    [117] = 78,
    [118] = 79,
    [119] = 79,
    [120] = 22,
    [121] = 23,
    [122] = 81,
    [123] = 101,
    [124] = 87,
    [125] = 33,
    [126] = 89,
    [127] = 6,
    [128] = 109,
    [129] = 95,
    [130] = 107,
    [131] = 82,
    [132] = 102,
    [133] = 90,
    [134] = 97,
    [135] = 106,
    [136] = 136,
    [137] = 98,
    [138] = 26,
    [139] = 103,
    [140] = 39,
    [141] = 110,
    [142] = 104,
    [143] = 32,
    [144] = 112,
    [145] = 99,
    [146] = 8,
    [147] = 96,
    [148] = 83,
    [149] = 30,
    [150] = 84,
    [151] = 38,
    [152] = 36,
    [153] = 85,
    [154] = 86,
    [155] = 91,
    [156] = 100,
    [157] = 92,
    [158] = 79,
    [159] = 79,
    [160] = 78,
    [161] = 38,
    [162] = 89,
    [163] = 83,
    [164] = 112,
    [165] = 110,
    [166] = 36,
    [167] = 92,
    [168] = 168,
    [169] = 96,
    [170] = 91,
    [171] = 99,
    [172] = 6,
    [173] = 87,
    [174] = 39,
    [175] = 30,
    [176] = 107,
    [177] = 100,
    [178] = 86,
    [179] = 101,
    [180] = 104,
    [181] = 32,
    [182] = 33,
    [183] = 8,
    [184] = 103,
    [185] = 109,
    [186] = 82,
    [187] = 106,
    [188] = 188,
    [189] = 85,
    [190] = 84,
    [191] = 90,
    [192] = 23,
    [193] = 97,
    [194] = 26,
    [195] = 81,
    [196] = 98,
    [197] = 102,
    [198] = 95,
    [199] = 199,
    [200] = 200,
    [201] = 201,
    [202] = 202,
    [203] = 203,
    [204] = 204,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 92,
    [227] = 103,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 245,
    [246] = 246,
    [247] = 247,
    [248] = 248,
    [249] = 245,
    [250] = 250,
    [251] = 251,
    [252] = 252,
    [253] = 252,
    [254] = 254,
    [255] = 255,
    [256] = 256,
    [257] = 257,
    [258] = 258,
    [259] = 255,
    [260] = 260,
    [261] = 261,
    [262] = 262,
    [263] = 263,
    [264] = 264,
    [265] = 257,
    [266] = 262,
    [267] = 267,
    [268] = 268,
    [269] = 269,
    [270] = 262,
    [271] = 256,
    [272] = 272,
    [273] = 257,
    [274] = 274,
    [275] = 255,
    [276] = 276,
    [277] = 256,
    [278] = 278,
    [279] = 279,
    [280] = 280,
    [281] = 281,
    [282] = 282,
    [283] = 283,
    [284] = 284,
    [285] = 285,
    [286] = 286,
    [287] = 278,
    [288] = 288,
    [289] = 284,
    [290] = 288,
    [291] = 291,
    [292] = 292,
    [293] = 285,
    [294] = 278,
    [295] = 288,
    [296] = 284,
    [297] = 297,
    [298] = 285,
    [299] = 299,
    [300] = 300,
    [301] = 301,
    [302] = 302,
    [303] = 303,
    [304] = 304,
    [305] = 305,
    [306] = 306,
    [307] = 307,
    [308] = 308,
    [309] = 309,
    [310] = 310,
    [311] = 311,
    [312] = 312,
    [313] = 312,
    [314] = 314,
    [315] = 315,
    [316] = 316,
    [317] = 317,
    [318] = 306,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 324,
    [325] = 325,
    [326] = 326,
    [327] = 312,
    [328] = 328,
    [329] = 329,
    [330] = 320,
    [331] = 331,
    [332] = 306,
    [333] = 307,
    [334] = 334,
    [335] = 309,
    [336] = 336,
    [337] = 337,
    [338] = 310,
    [339] = 339,
    [340] = 340,
    [341] = 341,
    [342] = 329,
    [343] = 311,
    [344] = 344,
    [345] = 345,
    [346] = 346,
    [347] = 347,
    [348] = 348,
    [349] = 349,
    [350] = 350,
    [351] = 351,
    [352] = 352,
    [353] = 320,
    [354] = 311,
    [355] = 329,
    [356] = 310,
    [357] = 357,
    [358] = 309,
    [359] = 307,
    [360] = 306,
    [361] = 361,
    [362] = 351,
    [363] = 363,
    [364] = 364,
    [365] = 365,
    [366] = 366,
    [367] = 367,
    [368] = 368,
    [369] = 369,
    [370] = 364,
    [371] = 371,
    [372] = 372,
    [373] = 371,
    [374] = 371,
    [375] = 364,
    [376] = 376,
    [377] = 377,
    [378] = 378,
    [379] = 379,
    [380] = 378,
    [381] = 381,
    [382] = 382,
    [383] = 383,
    [384] = 384,
    [385] = 385,
    [386] = 386,
    [387] = 387,
    [388] = 388,
    [389] = 389,
    [390] = 378,
    [391] = 391,
    [392] = 379,
    [393] = 393,
    [394] = 379,
    [395] = 381,
    [396] = 396,
    [397] = 397,
    [398] = 381,
    [399] = 383,
    [400] = 400,
    [401] = 401,
    [402] = 402,
    [403] = 376,
    [404] = 404,
    [405] = 376,
    [406] = 383,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(279);
            ADVANCE_MAP(
                '!', 407,
                '"', 319,
                '#', 575,
                '%', 390,
                '\'', 324,
                '(', 313,
                ')', 314,
                '*', 386,
                '+', 294,
                ',', 311,
                '-', 290,
                '.', 309,
                '/', 387,
                '0', 296,
                ':', 317,
                '<', 396,
                '=', 385,
                '>', 394,
                '[', 310,
                '\\', 12,
                ']', 312,
                '_', 304,
                'a', 168,
                'b', 145,
                'c', 22,
                'd', 68,
                'e', 299,
                'f', 26,
                'g', 69,
                'i', 112,
                'l', 70,
                'm', 20,
                'n', 71,
                'o', 64,
                'p', 148,
                'r', 87,
                's', 21,
                't', 88,
                'u', 173,
                'w', 129,
                '{', 316,
                '|', 402,
                '}', 318,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(297);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                ADVANCE(571);
            if(lookahead == '\r')
                ADVANCE(1);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(1);
            END_STATE();
        case 2:
            ADVANCE_MAP(
                '!', 406,
                '"', 319,
                '\'', 324,
                '(', 313,
                ')', 314,
                '+', 295,
                ',', 311,
                '-', 291,
                '0', 296,
                '[', 310,
                ']', 312,
                '_', 305,
                'f', 453,
                'n', 536,
                't', 545,
                '{', 315,
                '}', 274,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(2);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(297);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 3:
            ADVANCE_MAP(
                '!', 406,
                '"', 319,
                '\'', 324,
                '(', 313,
                '+', 295,
                '-', 291,
                '0', 296,
                '[', 310,
                '_', 305,
                'b', 535,
                'c', 449,
                'd', 474,
                'e', 543,
                'f', 452,
                'g', 475,
                'i', 524,
                'l', 476,
                'm', 450,
                'n', 477,
                'o', 472,
                's', 451,
                't', 478,
                'u', 529,
                '{', 315,
                '}', 274,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(3);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(297);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 4:
            ADVANCE_MAP(
                '!', 406,
                '"', 319,
                '\'', 324,
                '(', 313,
                '+', 292,
                '-', 288,
                '0', 296,
                '[', 310,
                '_', 305,
                'f', 453,
                'n', 536,
                't', 545,
                '{', 315,
                '}', 318,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(4);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(297);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 5:
            ADVANCE_MAP(
                '!', 18,
                '%', 390,
                '(', 313,
                ')', 314,
                '*', 386,
                '+', 294,
                ',', 311,
                '-', 290,
                '.', 309,
                '/', 387,
                ':', 317,
                '<', 396,
                '=', 385,
                '>', 394,
                '[', 310,
                ']', 312,
                '_', 304,
                'a', 169,
                'b', 146,
                'c', 23,
                'd', 94,
                'e', 147,
                'f', 130,
                'i', 114,
                'm', 40,
                'o', 205,
                'p', 148,
                'r', 87,
                's', 107,
                't', 223,
                'w', 138,
                '|', 402,
                '}', 274,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(5);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(297);
            END_STATE();
        case 6:
            ADVANCE_MAP(
                '!', 18,
                '%', 390,
                '(', 313,
                '*', 386,
                '+', 293,
                '-', 289,
                '.', 309,
                '/', 387,
                '<', 396,
                '=', 19,
                '>', 394,
                '[', 310,
                'a', 532,
                'i', 555,
                'o', 551,
                '|', 402,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(6);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 7:
            ADVANCE_MAP(
                '!', 18,
                '%', 390,
                ')', 314,
                '*', 386,
                '+', 294,
                ',', 311,
                '-', 290,
                '.', 309,
                '/', 387,
                ':', 317,
                '<', 396,
                '=', 385,
                '>', 394,
                '[', 310,
                ']', 312,
                'a', 167,
                'e', 300,
                'i', 113,
                'o', 205,
                'r', 87,
                'w', 129,
                '|', 402,
                '}', 274,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(7);
            END_STATE();
        case 8:
            ADVANCE_MAP(
                '!', 18,
                '%', 390,
                '*', 386,
                '+', 293,
                '-', 289,
                '.', 309,
                '/', 387,
                '<', 396,
                '=', 19,
                '>', 394,
                '[', 310,
                'a', 532,
                'e', 301,
                'i', 555,
                'o', 551,
                '|', 402,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(8);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 9:
            ADVANCE_MAP(
                '!', 18,
                '%', 389,
                '(', 313,
                '*', 386,
                '+', 292,
                ',', 311,
                '-', 288,
                '.', 309,
                '/', 387,
                '<', 396,
                '=', 19,
                '>', 394,
                '[', 310,
                'a', 166,
                'e', 298,
                'i', 224,
                'o', 205,
                '|', 402,
                '}', 318,
                '~', 403,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(9);
            END_STATE();
        case 10:
            ADVANCE_MAP(
                '"', 319,
                '%', 269,
                '\'', 324,
                '(', 313,
                '+', 15,
                ',', 311,
                '-', 16,
                '.', 309,
                '[', 310,
                '}', 318,
            );
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(10);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 11:
            if(lookahead == '"')
                ADVANCE(319);
            if(lookahead == '\\')
                ADVANCE(321);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(322);
            if(lookahead != 0)
                ADVANCE(320);
            END_STATE();
        case 12:
            if(lookahead == '"')
                ADVANCE(323);
            if(lookahead == '\'')
                ADVANCE(328);
            END_STATE();
        case 13:
            if(lookahead == '#')
                ADVANCE(575);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(573);
            if(lookahead != 0)
                ADVANCE(574);
            END_STATE();
        case 14:
            if(lookahead == '#')
                ADVANCE(572);
            if(lookahead == '%')
                ADVANCE(583);
            if(lookahead == '{')
                ADVANCE(577);
            if(lookahead != 0)
                ADVANCE(448);
            END_STATE();
        case 15:
            if(lookahead == '%')
                ADVANCE(270);
            END_STATE();
        case 16:
            if(lookahead == '%')
                ADVANCE(272);
            END_STATE();
        case 17:
            if(lookahead == '\'')
                ADVANCE(324);
            if(lookahead == '\\')
                ADVANCE(326);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(327);
            if(lookahead != 0)
                ADVANCE(325);
            END_STATE();
        case 18:
            if(lookahead == '=')
                ADVANCE(393);
            END_STATE();
        case 19:
            if(lookahead == '=')
                ADVANCE(392);
            END_STATE();
        case 20:
            if(lookahead == 'a')
                ADVANCE(51);
            if(lookahead == 'i')
                ADVANCE(230);
            END_STATE();
        case 21:
            if(lookahead == 'a')
                ADVANCE(165);
            if(lookahead == 'e')
                ADVANCE(204);
            if(lookahead == 't')
                ADVANCE(222);
            END_STATE();
        case 22:
            if(lookahead == 'a')
                ADVANCE(154);
            if(lookahead == 'o')
                ADVANCE(174);
            END_STATE();
        case 23:
            if(lookahead == 'a')
                ADVANCE(154);
            if(lookahead == 'o')
                ADVANCE(184);
            END_STATE();
        case 24:
            if(lookahead == 'a')
                ADVANCE(44);
            END_STATE();
        case 25:
            if(lookahead == 'a')
                ADVANCE(143);
            END_STATE();
        case 26:
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'i')
                ADVANCE(162);
            if(lookahead == 'l')
                ADVANCE(191);
            if(lookahead == 'o')
                ADVANCE(206);
            if(lookahead == 'r')
                ADVANCE(189);
            END_STATE();
        case 27:
            if(lookahead == 'a')
                ADVANCE(180);
            END_STATE();
        case 28:
            if(lookahead == 'a')
                ADVANCE(180);
            if(lookahead == 'u')
                ADVANCE(75);
            END_STATE();
        case 29:
            if(lookahead == 'a')
                ADVANCE(55);
            END_STATE();
        case 30:
            ADVANCE_MAP(
                'a', 262,
                'b', 161,
                'c', 35,
                'f', 141,
                'i', 116,
                'm', 29,
                's', 98,
                't', 220,
                'w', 134,
            );
            END_STATE();
        case 31:
            if(lookahead == 'a')
                ADVANCE(242);
            END_STATE();
        case 32:
            if(lookahead == 'a')
                ADVANCE(153);
            END_STATE();
        case 33:
            if(lookahead == 'a')
                ADVANCE(226);
            END_STATE();
        case 34:
            if(lookahead == 'a')
                ADVANCE(171);
            END_STATE();
        case 35:
            if(lookahead == 'a')
                ADVANCE(157);
            END_STATE();
        case 36:
            if(lookahead == 'a')
                ADVANCE(199);
            END_STATE();
        case 37:
            if(lookahead == 'a')
                ADVANCE(183);
            END_STATE();
        case 38:
            if(lookahead == 'a')
                ADVANCE(200);
            END_STATE();
        case 39:
            if(lookahead == 'a')
                ADVANCE(201);
            END_STATE();
        case 40:
            if(lookahead == 'a')
                ADVANCE(50);
            END_STATE();
        case 41:
            if(lookahead == 'b')
                ADVANCE(267);
            END_STATE();
        case 42:
            if(lookahead == 'b')
                ADVANCE(255);
            END_STATE();
        case 43:
            if(lookahead == 'b')
                ADVANCE(255);
            if(lookahead == 'f')
                ADVANCE(131);
            END_STATE();
        case 44:
            if(lookahead == 'b')
                ADVANCE(159);
            END_STATE();
        case 45:
            if(lookahead == 'b')
                ADVANCE(160);
            END_STATE();
        case 46:
            if(lookahead == 'b')
                ADVANCE(108);
            END_STATE();
        case 47:
            if(lookahead == 'c')
                ADVANCE(142);
            END_STATE();
        case 48:
            if(lookahead == 'c')
                ADVANCE(36);
            END_STATE();
        case 49:
            if(lookahead == 'c')
                ADVANCE(144);
            END_STATE();
        case 50:
            if(lookahead == 'c')
                ADVANCE(216);
            END_STATE();
        case 51:
            if(lookahead == 'c')
                ADVANCE(216);
            if(lookahead == 'p')
                ADVANCE(203);
            END_STATE();
        case 52:
            if(lookahead == 'c')
                ADVANCE(81);
            END_STATE();
        case 53:
            if(lookahead == 'c')
                ADVANCE(156);
            END_STATE();
        case 54:
            if(lookahead == 'c')
                ADVANCE(256);
            END_STATE();
        case 55:
            if(lookahead == 'c')
                ADVANCE(219);
            END_STATE();
        case 56:
            if(lookahead == 'c')
                ADVANCE(38);
            END_STATE();
        case 57:
            if(lookahead == 'c')
                ADVANCE(39);
            END_STATE();
        case 58:
            if(lookahead == 'd')
                ADVANCE(398);
            END_STATE();
        case 59:
            if(lookahead == 'd')
                ADVANCE(30);
            END_STATE();
        case 60:
            if(lookahead == 'd')
                ADVANCE(371);
            END_STATE();
        case 61:
            if(lookahead == 'd')
                ADVANCE(334);
            END_STATE();
        case 62:
            if(lookahead == 'd')
                ADVANCE(340);
            END_STATE();
        case 63:
            if(lookahead == 'd')
                ADVANCE(381);
            END_STATE();
        case 64:
            if(lookahead == 'd')
                ADVANCE(60);
            if(lookahead == 'r')
                ADVANCE(400);
            END_STATE();
        case 65:
            if(lookahead == 'd')
                ADVANCE(227);
            END_STATE();
        case 66:
            if(lookahead == 'd')
                ADVANCE(92);
            END_STATE();
        case 67:
            if(lookahead == 'd')
                ADVANCE(86);
            END_STATE();
        case 68:
            if(lookahead == 'e')
                ADVANCE(43);
            if(lookahead == 'i')
                ADVANCE(263);
            if(lookahead == 'o')
                ADVANCE(423);
            END_STATE();
        case 69:
            if(lookahead == 'e')
                ADVANCE(348);
            if(lookahead == 't')
                ADVANCE(350);
            END_STATE();
        case 70:
            if(lookahead == 'e')
                ADVANCE(359);
            if(lookahead == 'o')
                ADVANCE(265);
            if(lookahead == 't')
                ADVANCE(363);
            END_STATE();
        case 71:
            if(lookahead == 'e')
                ADVANCE(367);
            if(lookahead == 'o')
                ADVANCE(182);
            if(lookahead == 'u')
                ADVANCE(155);
            END_STATE();
        case 72:
            if(lookahead == 'e')
                ADVANCE(25);
            END_STATE();
        case 73:
            if(lookahead == 'e')
                ADVANCE(410);
            END_STATE();
        case 74:
            if(lookahead == 'e')
                ADVANCE(286);
            END_STATE();
        case 75:
            if(lookahead == 'e')
                ADVANCE(280);
            END_STATE();
        case 76:
            if(lookahead == 'e')
                ADVANCE(266);
            if(lookahead == 'i')
                ADVANCE(181);
            END_STATE();
        case 77:
            if(lookahead == 'e')
                ADVANCE(282);
            END_STATE();
        case 78:
            if(lookahead == 'e')
                ADVANCE(438);
            END_STATE();
        case 79:
            if(lookahead == 'e')
                ADVANCE(419);
            END_STATE();
        case 80:
            if(lookahead == 'e')
                ADVANCE(357);
            END_STATE();
        case 81:
            if(lookahead == 'e')
                ADVANCE(375);
            END_STATE();
        case 82:
            if(lookahead == 'e')
                ADVANCE(426);
            END_STATE();
        case 83:
            if(lookahead == 'e')
                ADVANCE(444);
            END_STATE();
        case 84:
            if(lookahead == 'e')
                ADVANCE(424);
            END_STATE();
        case 85:
            if(lookahead == 'e')
                ADVANCE(422);
            END_STATE();
        case 86:
            if(lookahead == 'e')
                ADVANCE(437);
            END_STATE();
        case 87:
            if(lookahead == 'e')
                ADVANCE(54);
            END_STATE();
        case 88:
            if(lookahead == 'e')
                ADVANCE(232);
            if(lookahead == 'r')
                ADVANCE(28);
            END_STATE();
        case 89:
            if(lookahead == 'e')
                ADVANCE(122);
            END_STATE();
        case 90:
            if(lookahead == 'e')
                ADVANCE(170);
            END_STATE();
        case 91:
            if(lookahead == 'e')
                ADVANCE(214);
            END_STATE();
        case 92:
            if(lookahead == 'e')
                ADVANCE(117);
            END_STATE();
        case 93:
            if(lookahead == 'e')
                ADVANCE(41);
            END_STATE();
        case 94:
            if(lookahead == 'e')
                ADVANCE(42);
            if(lookahead == 'o')
                ADVANCE(423);
            END_STATE();
        case 95:
            if(lookahead == 'e')
                ADVANCE(61);
            END_STATE();
        case 96:
            if(lookahead == 'e')
                ADVANCE(176);
            END_STATE();
        case 97:
            if(lookahead == 'e')
                ADVANCE(62);
            END_STATE();
        case 98:
            if(lookahead == 'e')
                ADVANCE(243);
            END_STATE();
        case 99:
            if(lookahead == 'e')
                ADVANCE(207);
            END_STATE();
        case 100:
            if(lookahead == 'e')
                ADVANCE(236);
            END_STATE();
        case 101:
            if(lookahead == 'e')
                ADVANCE(63);
            END_STATE();
        case 102:
            if(lookahead == 'e')
                ADVANCE(33);
            END_STATE();
        case 103:
            if(lookahead == 'e')
                ADVANCE(208);
            END_STATE();
        case 104:
            if(lookahead == 'e')
                ADVANCE(34);
            END_STATE();
        case 105:
            if(lookahead == 'e')
                ADVANCE(179);
            END_STATE();
        case 106:
            if(lookahead == 'e')
                ADVANCE(210);
            END_STATE();
        case 107:
            if(lookahead == 'e')
                ADVANCE(238);
            END_STATE();
        case 108:
            if(lookahead == 'e')
                ADVANCE(211);
            END_STATE();
        case 109:
            if(lookahead == 'e')
                ADVANCE(212);
            END_STATE();
        case 110:
            if(lookahead == 'e')
                ADVANCE(213);
            END_STATE();
        case 111:
            if(lookahead == 'e')
                ADVANCE(237);
            END_STATE();
        case 112:
            if(lookahead == 'f')
                ADVANCE(427);
            if(lookahead == 'g')
                ADVANCE(178);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(354);
            if(lookahead == 's')
                ADVANCE(329);
            if(lookahead == 't')
                ADVANCE(91);
            END_STATE();
        case 113:
            if(lookahead == 'f')
                ADVANCE(427);
            if(lookahead == 'g')
                ADVANCE(178);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(352);
            if(lookahead == 's')
                ADVANCE(329);
            END_STATE();
        case 114:
            if(lookahead == 'f')
                ADVANCE(427);
            if(lookahead == 'm')
                ADVANCE(198);
            if(lookahead == 'n')
                ADVANCE(53);
            if(lookahead == 's')
                ADVANCE(329);
            END_STATE();
        case 115:
            if(lookahead == 'f')
                ADVANCE(409);
            END_STATE();
        case 116:
            if(lookahead == 'f')
                ADVANCE(411);
            END_STATE();
        case 117:
            if(lookahead == 'f')
                ADVANCE(139);
            END_STATE();
        case 118:
            if(lookahead == 'g')
                ADVANCE(421);
            END_STATE();
        case 119:
            if(lookahead == 'g')
                ADVANCE(377);
            END_STATE();
        case 120:
            if(lookahead == 'g')
                ADVANCE(365);
            END_STATE();
        case 121:
            if(lookahead == 'g')
                ADVANCE(439);
            END_STATE();
        case 122:
            if(lookahead == 'g')
                ADVANCE(109);
            END_STATE();
        case 123:
            if(lookahead == 'h')
                ADVANCE(433);
            END_STATE();
        case 124:
            if(lookahead == 'h')
                ADVANCE(413);
            END_STATE();
        case 125:
            if(lookahead == 'h')
                ADVANCE(432);
            END_STATE();
        case 126:
            if(lookahead == 'i')
                ADVANCE(115);
            if(lookahead == 's')
                ADVANCE(73);
            END_STATE();
        case 127:
            if(lookahead == 'i')
                ADVANCE(268);
            END_STATE();
        case 128:
            if(lookahead == 'i')
                ADVANCE(264);
            END_STATE();
        case 129:
            if(lookahead == 'i')
                ADVANCE(239);
            END_STATE();
        case 130:
            if(lookahead == 'i')
                ADVANCE(162);
            if(lookahead == 'o')
                ADVANCE(206);
            if(lookahead == 'r')
                ADVANCE(189);
            END_STATE();
        case 131:
            if(lookahead == 'i')
                ADVANCE(185);
            END_STATE();
        case 132:
            if(lookahead == 'i')
                ADVANCE(229);
            END_STATE();
        case 133:
            if(lookahead == 'i')
                ADVANCE(172);
            END_STATE();
        case 134:
            if(lookahead == 'i')
                ADVANCE(247);
            END_STATE();
        case 135:
            if(lookahead == 'i')
                ADVANCE(181);
            END_STATE();
        case 136:
            if(lookahead == 'i')
                ADVANCE(175);
            END_STATE();
        case 137:
            if(lookahead == 'i')
                ADVANCE(177);
            END_STATE();
        case 138:
            if(lookahead == 'i')
                ADVANCE(248);
            END_STATE();
        case 139:
            if(lookahead == 'i')
                ADVANCE(186);
            END_STATE();
        case 140:
            if(lookahead == 'i')
                ADVANCE(45);
            END_STATE();
        case 141:
            if(lookahead == 'i')
                ADVANCE(163);
            if(lookahead == 'o')
                ADVANCE(209);
            END_STATE();
        case 142:
            if(lookahead == 'k')
                ADVANCE(428);
            END_STATE();
        case 143:
            if(lookahead == 'k')
                ADVANCE(420);
            END_STATE();
        case 144:
            if(lookahead == 'k')
                ADVANCE(412);
            END_STATE();
        case 145:
            if(lookahead == 'l')
                ADVANCE(190);
            if(lookahead == 'o')
                ADVANCE(192);
            if(lookahead == 'r')
                ADVANCE(72);
            END_STATE();
        case 146:
            if(lookahead == 'l')
                ADVANCE(190);
            if(lookahead == 'r')
                ADVANCE(72);
            END_STATE();
        case 147:
            if(lookahead == 'l')
                ADVANCE(126);
            if(lookahead == 'n')
                ADVANCE(59);
            if(lookahead == 'x')
                ADVANCE(250);
            END_STATE();
        case 148:
            if(lookahead == 'l')
                ADVANCE(259);
            END_STATE();
        case 149:
            if(lookahead == 'l')
                ADVANCE(431);
            END_STATE();
        case 150:
            if(lookahead == 'l')
                ADVANCE(284);
            END_STATE();
        case 151:
            if(lookahead == 'l')
                ADVANCE(416);
            END_STATE();
        case 152:
            if(lookahead == 'l')
                ADVANCE(234);
            END_STATE();
        case 153:
            if(lookahead == 'l')
                ADVANCE(127);
            END_STATE();
        case 154:
            if(lookahead == 'l')
                ADVANCE(149);
            END_STATE();
        case 155:
            if(lookahead == 'l')
                ADVANCE(150);
            if(lookahead == 'm')
                ADVANCE(46);
            END_STATE();
        case 156:
            if(lookahead == 'l')
                ADVANCE(260);
            END_STATE();
        case 157:
            if(lookahead == 'l')
                ADVANCE(151);
            END_STATE();
        case 158:
            if(lookahead == 'l')
                ADVANCE(104);
            END_STATE();
        case 159:
            if(lookahead == 'l')
                ADVANCE(80);
            END_STATE();
        case 160:
            if(lookahead == 'l')
                ADVANCE(93);
            END_STATE();
        case 161:
            if(lookahead == 'l')
                ADVANCE(193);
            END_STATE();
        case 162:
            if(lookahead == 'l')
                ADVANCE(251);
            END_STATE();
        case 163:
            if(lookahead == 'l')
                ADVANCE(253);
            END_STATE();
        case 164:
            if(lookahead == 'm')
                ADVANCE(435);
            END_STATE();
        case 165:
            if(lookahead == 'm')
                ADVANCE(102);
            END_STATE();
        case 166:
            if(lookahead == 'n')
                ADVANCE(58);
            END_STATE();
        case 167:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 's')
                ADVANCE(436);
            END_STATE();
        case 168:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 's')
                ADVANCE(436);
            if(lookahead == 'u')
                ADVANCE(249);
            END_STATE();
        case 169:
            if(lookahead == 'n')
                ADVANCE(58);
            if(lookahead == 'u')
                ADVANCE(249);
            END_STATE();
        case 170:
            if(lookahead == 'n')
                ADVANCE(342);
            END_STATE();
        case 171:
            if(lookahead == 'n')
                ADVANCE(331);
            END_STATE();
        case 172:
            if(lookahead == 'n')
                ADVANCE(119);
            END_STATE();
        case 173:
            if(lookahead == 'n')
                ADVANCE(66);
            if(lookahead == 'p')
                ADVANCE(202);
            END_STATE();
        case 174:
            if(lookahead == 'n')
                ADVANCE(240);
            END_STATE();
        case 175:
            if(lookahead == 'n')
                ADVANCE(120);
            END_STATE();
        case 176:
            if(lookahead == 'n')
                ADVANCE(65);
            END_STATE();
        case 177:
            if(lookahead == 'n')
                ADVANCE(121);
            END_STATE();
        case 178:
            if(lookahead == 'n')
                ADVANCE(194);
            END_STATE();
        case 179:
            if(lookahead == 'n')
                ADVANCE(52);
            END_STATE();
        case 180:
            if(lookahead == 'n')
                ADVANCE(225);
            END_STATE();
        case 181:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 182:
            if(lookahead == 'n')
                ADVANCE(74);
            if(lookahead == 't')
                ADVANCE(404);
            END_STATE();
        case 183:
            if(lookahead == 'n')
                ADVANCE(228);
            END_STATE();
        case 184:
            if(lookahead == 'n')
                ADVANCE(252);
            END_STATE();
        case 185:
            if(lookahead == 'n')
                ADVANCE(95);
            END_STATE();
        case 186:
            if(lookahead == 'n')
                ADVANCE(101);
            END_STATE();
        case 187:
            if(lookahead == 'o')
                ADVANCE(429);
            END_STATE();
        case 188:
            if(lookahead == 'o')
                ADVANCE(415);
            END_STATE();
        case 189:
            if(lookahead == 'o')
                ADVANCE(164);
            END_STATE();
        case 190:
            if(lookahead == 'o')
                ADVANCE(47);
            END_STATE();
        case 191:
            if(lookahead == 'o')
                ADVANCE(31);
            END_STATE();
        case 192:
            if(lookahead == 'o')
                ADVANCE(158);
            END_STATE();
        case 193:
            if(lookahead == 'o')
                ADVANCE(49);
            END_STATE();
        case 194:
            if(lookahead == 'o')
                ADVANCE(221);
            END_STATE();
        case 195:
            if(lookahead == 'o')
                ADVANCE(218);
            END_STATE();
        case 196:
            if(lookahead == 'o')
                ADVANCE(100);
            END_STATE();
        case 197:
            if(lookahead == 'o')
                ADVANCE(111);
            END_STATE();
        case 198:
            if(lookahead == 'p')
                ADVANCE(195);
            END_STATE();
        case 199:
            if(lookahead == 'p')
                ADVANCE(97);
            END_STATE();
        case 200:
            if(lookahead == 'p')
                ADVANCE(84);
            END_STATE();
        case 201:
            if(lookahead == 'p')
                ADVANCE(85);
            END_STATE();
        case 202:
            if(lookahead == 'p')
                ADVANCE(103);
            END_STATE();
        case 203:
            if(lookahead == 'p')
                ADVANCE(136);
            END_STATE();
        case 204:
            if(lookahead == 'q')
                ADVANCE(261);
            if(lookahead == 't')
                ADVANCE(442);
            END_STATE();
        case 205:
            if(lookahead == 'r')
                ADVANCE(400);
            END_STATE();
        case 206:
            if(lookahead == 'r')
                ADVANCE(443);
            END_STATE();
        case 207:
            if(lookahead == 'r')
                ADVANCE(361);
            END_STATE();
        case 208:
            if(lookahead == 'r')
                ADVANCE(383);
            END_STATE();
        case 209:
            if(lookahead == 'r')
                ADVANCE(408);
            END_STATE();
        case 210:
            if(lookahead == 'r')
                ADVANCE(344);
            END_STATE();
        case 211:
            if(lookahead == 'r')
                ADVANCE(369);
            END_STATE();
        case 212:
            if(lookahead == 'r')
                ADVANCE(355);
            END_STATE();
        case 213:
            if(lookahead == 'r')
                ADVANCE(414);
            END_STATE();
        case 214:
            if(lookahead == 'r')
                ADVANCE(24);
            END_STATE();
        case 215:
            if(lookahead == 'r')
                ADVANCE(32);
            END_STATE();
        case 216:
            if(lookahead == 'r')
                ADVANCE(187);
            END_STATE();
        case 217:
            if(lookahead == 'r')
                ADVANCE(233);
            END_STATE();
        case 218:
            if(lookahead == 'r')
                ADVANCE(244);
            END_STATE();
        case 219:
            if(lookahead == 'r')
                ADVANCE(188);
            END_STATE();
        case 220:
            if(lookahead == 'r')
                ADVANCE(37);
            END_STATE();
        case 221:
            if(lookahead == 'r')
                ADVANCE(78);
            END_STATE();
        case 222:
            if(lookahead == 'r')
                ADVANCE(133);
            END_STATE();
        case 223:
            if(lookahead == 'r')
                ADVANCE(27);
            END_STATE();
        case 224:
            if(lookahead == 's')
                ADVANCE(329);
            END_STATE();
        case 225:
            if(lookahead == 's')
                ADVANCE(425);
            END_STATE();
        case 226:
            if(lookahead == 's')
                ADVANCE(373);
            END_STATE();
        case 227:
            if(lookahead == 's')
                ADVANCE(430);
            END_STATE();
        case 228:
            if(lookahead == 's')
                ADVANCE(418);
            END_STATE();
        case 229:
            if(lookahead == 's')
                ADVANCE(140);
            END_STATE();
        case 230:
            if(lookahead == 's')
                ADVANCE(235);
            END_STATE();
        case 231:
            if(lookahead == 's')
                ADVANCE(73);
            END_STATE();
        case 232:
            if(lookahead == 's')
                ADVANCE(241);
            END_STATE();
        case 233:
            if(lookahead == 's')
                ADVANCE(128);
            END_STATE();
        case 234:
            if(lookahead == 's')
                ADVANCE(77);
            END_STATE();
        case 235:
            if(lookahead == 's')
                ADVANCE(137);
            END_STATE();
        case 236:
            if(lookahead == 's')
                ADVANCE(56);
            END_STATE();
        case 237:
            if(lookahead == 's')
                ADVANCE(57);
            END_STATE();
        case 238:
            if(lookahead == 't')
                ADVANCE(442);
            END_STATE();
        case 239:
            if(lookahead == 't')
                ADVANCE(123);
            END_STATE();
        case 240:
            if(lookahead == 't')
                ADVANCE(76);
            END_STATE();
        case 241:
            if(lookahead == 't')
                ADVANCE(379);
            END_STATE();
        case 242:
            if(lookahead == 't')
                ADVANCE(346);
            END_STATE();
        case 243:
            if(lookahead == 't')
                ADVANCE(417);
            END_STATE();
        case 244:
            if(lookahead == 't')
                ADVANCE(434);
            END_STATE();
        case 245:
            if(lookahead == 't')
                ADVANCE(441);
            END_STATE();
        case 246:
            if(lookahead == 't')
                ADVANCE(440);
            END_STATE();
        case 247:
            if(lookahead == 't')
                ADVANCE(124);
            END_STATE();
        case 248:
            if(lookahead == 't')
                ADVANCE(125);
            END_STATE();
        case 249:
            if(lookahead == 't')
                ADVANCE(196);
            END_STATE();
        case 250:
            if(lookahead == 't')
                ADVANCE(96);
            END_STATE();
        case 251:
            if(lookahead == 't')
                ADVANCE(106);
            END_STATE();
        case 252:
            if(lookahead == 't')
                ADVANCE(135);
            END_STATE();
        case 253:
            if(lookahead == 't')
                ADVANCE(110);
            END_STATE();
        case 254:
            if(lookahead == 't')
                ADVANCE(197);
            END_STATE();
        case 255:
            if(lookahead == 'u')
                ADVANCE(118);
            END_STATE();
        case 256:
            if(lookahead == 'u')
                ADVANCE(217);
            END_STATE();
        case 257:
            if(lookahead == 'u')
                ADVANCE(246);
            END_STATE();
        case 258:
            if(lookahead == 'u')
                ADVANCE(79);
            END_STATE();
        case 259:
            if(lookahead == 'u')
                ADVANCE(215);
            END_STATE();
        case 260:
            if(lookahead == 'u')
                ADVANCE(67);
            END_STATE();
        case 261:
            if(lookahead == 'u')
                ADVANCE(105);
            END_STATE();
        case 262:
            if(lookahead == 'u')
                ADVANCE(254);
            END_STATE();
        case 263:
            if(lookahead == 'v')
                ADVANCE(132);
            END_STATE();
        case 264:
            if(lookahead == 'v')
                ADVANCE(83);
            END_STATE();
        case 265:
            if(lookahead == 'w')
                ADVANCE(99);
            END_STATE();
        case 266:
            if(lookahead == 'x')
                ADVANCE(245);
            END_STATE();
        case 267:
            if(lookahead == 'y')
                ADVANCE(336);
            END_STATE();
        case 268:
            if(lookahead == 'z')
                ADVANCE(82);
            END_STATE();
        case 269:
            if(lookahead == '}')
                ADVANCE(587);
            END_STATE();
        case 270:
            if(lookahead == '}')
                ADVANCE(588);
            END_STATE();
        case 271:
            if(lookahead == '}')
                ADVANCE(582);
            END_STATE();
        case 272:
            if(lookahead == '}')
                ADVANCE(586);
            END_STATE();
        case 273:
            if(lookahead == '}')
                ADVANCE(581);
            END_STATE();
        case 274:
            if(lookahead == '}')
                ADVANCE(580);
            END_STATE();
        case 275:
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(307);
            END_STATE();
        case 276:
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(306);
            END_STATE();
        case 277:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(308);
            END_STATE();
        case 278:
            if(eof)
                ADVANCE(279);
            if(lookahead == '#')
                ADVANCE(446);
            if(lookahead == '{')
                ADVANCE(14);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(447);
            if(lookahead != 0)
                ADVANCE(445);
            END_STATE();
        case 279:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 280:
            ACCEPT_TOKEN(anon_sym_true);
            END_STATE();
        case 281:
            ACCEPT_TOKEN(anon_sym_true);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 282:
            ACCEPT_TOKEN(anon_sym_false);
            END_STATE();
        case 283:
            ACCEPT_TOKEN(anon_sym_false);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 284:
            ACCEPT_TOKEN(anon_sym_null);
            END_STATE();
        case 285:
            ACCEPT_TOKEN(anon_sym_null);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 286:
            ACCEPT_TOKEN(anon_sym_none);
            END_STATE();
        case 287:
            ACCEPT_TOKEN(anon_sym_none);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 288:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 289:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '%')
                ADVANCE(272);
            END_STATE();
        case 290:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '%')
                ADVANCE(272);
            if(lookahead == '}')
                ADVANCE(273);
            END_STATE();
        case 291:
            ACCEPT_TOKEN(anon_sym_DASH);
            if(lookahead == '}')
                ADVANCE(273);
            END_STATE();
        case 292:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 293:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '%')
                ADVANCE(270);
            END_STATE();
        case 294:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '%')
                ADVANCE(270);
            if(lookahead == '}')
                ADVANCE(271);
            END_STATE();
        case 295:
            ACCEPT_TOKEN(anon_sym_PLUS);
            if(lookahead == '}')
                ADVANCE(271);
            END_STATE();
        case 296:
            ACCEPT_TOKEN(sym_dec_literal);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(275);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(276);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(277);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(297);
            END_STATE();
        case 297:
            ACCEPT_TOKEN(sym_dec_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(297);
            END_STATE();
        case 298:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(302);
            if(lookahead == '-')
                ADVANCE(303);
            END_STATE();
        case 299:
            ACCEPT_TOKEN(anon_sym_e);
            ADVANCE_MAP(
                '+', 302,
                '-', 303,
                'l', 126,
                'n', 59,
                'q', 338,
                's', 48,
                'v', 90,
                'x', 250,
            );
            END_STATE();
        case 300:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(302);
            if(lookahead == '-')
                ADVANCE(303);
            if(lookahead == 'l')
                ADVANCE(231);
            END_STATE();
        case 301:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(302);
            if(lookahead == '-')
                ADVANCE(303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 302:
            ACCEPT_TOKEN(anon_sym_e_PLUS);
            END_STATE();
        case 303:
            ACCEPT_TOKEN(anon_sym_e_DASH);
            END_STATE();
        case 304:
            ACCEPT_TOKEN(anon_sym__);
            END_STATE();
        case 305:
            ACCEPT_TOKEN(anon_sym__);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 306:
            ACCEPT_TOKEN(sym_oct_literal);
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(306);
            END_STATE();
        case 307:
            ACCEPT_TOKEN(sym_bin_literal);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(307);
            END_STATE();
        case 308:
            ACCEPT_TOKEN(sym_hex_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(308);
            END_STATE();
        case 309:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 310:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 311:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 312:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 313:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 314:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 315:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 316:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            if(lookahead == '#')
                ADVANCE(572);
            if(lookahead == '%')
                ADVANCE(583);
            END_STATE();
        case 317:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 318:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 319:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 320:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            END_STATE();
        case 321:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '"')
                ADVANCE(323);
            END_STATE();
        case 322:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '\\')
                ADVANCE(321);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(322);
            if(lookahead != 0 &&
               lookahead != '"')
                ADVANCE(320);
            END_STATE();
        case 323:
            ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
            END_STATE();
        case 324:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 325:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            END_STATE();
        case 326:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '\'')
                ADVANCE(328);
            END_STATE();
        case 327:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '\\')
                ADVANCE(326);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(327);
            if(lookahead != 0 &&
               lookahead != '\'')
                ADVANCE(325);
            END_STATE();
        case 328:
            ACCEPT_TOKEN(anon_sym_BSLASH_SQUOTE);
            END_STATE();
        case 329:
            ACCEPT_TOKEN(anon_sym_is);
            END_STATE();
        case 330:
            ACCEPT_TOKEN(anon_sym_is);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 331:
            ACCEPT_TOKEN(anon_sym_boolean);
            END_STATE();
        case 332:
            ACCEPT_TOKEN(anon_sym_boolean);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 333:
            ACCEPT_TOKEN(anon_sym_callable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 334:
            ACCEPT_TOKEN(anon_sym_defined);
            END_STATE();
        case 335:
            ACCEPT_TOKEN(anon_sym_defined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 336:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            END_STATE();
        case 337:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 338:
            ACCEPT_TOKEN(anon_sym_eq);
            END_STATE();
        case 339:
            ACCEPT_TOKEN(anon_sym_eq);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 340:
            ACCEPT_TOKEN(anon_sym_escaped);
            END_STATE();
        case 341:
            ACCEPT_TOKEN(anon_sym_escaped);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 342:
            ACCEPT_TOKEN(anon_sym_even);
            END_STATE();
        case 343:
            ACCEPT_TOKEN(anon_sym_even);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 344:
            ACCEPT_TOKEN(anon_sym_filter);
            END_STATE();
        case 345:
            ACCEPT_TOKEN(anon_sym_filter);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 346:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 347:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 348:
            ACCEPT_TOKEN(anon_sym_ge);
            END_STATE();
        case 349:
            ACCEPT_TOKEN(anon_sym_ge);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 350:
            ACCEPT_TOKEN(anon_sym_gt);
            END_STATE();
        case 351:
            ACCEPT_TOKEN(anon_sym_gt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 352:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 353:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 354:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(89);
            END_STATE();
        case 355:
            ACCEPT_TOKEN(anon_sym_integer);
            END_STATE();
        case 356:
            ACCEPT_TOKEN(anon_sym_integer);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 357:
            ACCEPT_TOKEN(anon_sym_iterable);
            END_STATE();
        case 358:
            ACCEPT_TOKEN(anon_sym_iterable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 359:
            ACCEPT_TOKEN(anon_sym_le);
            END_STATE();
        case 360:
            ACCEPT_TOKEN(anon_sym_le);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 361:
            ACCEPT_TOKEN(anon_sym_lower);
            END_STATE();
        case 362:
            ACCEPT_TOKEN(anon_sym_lower);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 363:
            ACCEPT_TOKEN(anon_sym_lt);
            END_STATE();
        case 364:
            ACCEPT_TOKEN(anon_sym_lt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 365:
            ACCEPT_TOKEN(anon_sym_mapping);
            END_STATE();
        case 366:
            ACCEPT_TOKEN(anon_sym_mapping);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 367:
            ACCEPT_TOKEN(anon_sym_ne);
            END_STATE();
        case 368:
            ACCEPT_TOKEN(anon_sym_ne);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 369:
            ACCEPT_TOKEN(anon_sym_number);
            END_STATE();
        case 370:
            ACCEPT_TOKEN(anon_sym_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 371:
            ACCEPT_TOKEN(anon_sym_odd);
            END_STATE();
        case 372:
            ACCEPT_TOKEN(anon_sym_odd);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 373:
            ACCEPT_TOKEN(anon_sym_sameas);
            END_STATE();
        case 374:
            ACCEPT_TOKEN(anon_sym_sameas);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 375:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 376:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 377:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 378:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 379:
            ACCEPT_TOKEN(anon_sym_test);
            END_STATE();
        case 380:
            ACCEPT_TOKEN(anon_sym_test);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 381:
            ACCEPT_TOKEN(anon_sym_undefined);
            END_STATE();
        case 382:
            ACCEPT_TOKEN(anon_sym_undefined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 383:
            ACCEPT_TOKEN(anon_sym_upper);
            END_STATE();
        case 384:
            ACCEPT_TOKEN(anon_sym_upper);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 385:
            ACCEPT_TOKEN(anon_sym_EQ);
            if(lookahead == '=')
                ADVANCE(392);
            END_STATE();
        case 386:
            ACCEPT_TOKEN(anon_sym_STAR);
            if(lookahead == '*')
                ADVANCE(391);
            END_STATE();
        case 387:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '/')
                ADVANCE(388);
            END_STATE();
        case 388:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 389:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 390:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            if(lookahead == '}')
                ADVANCE(587);
            END_STATE();
        case 391:
            ACCEPT_TOKEN(anon_sym_STAR_STAR);
            END_STATE();
        case 392:
            ACCEPT_TOKEN(anon_sym_EQ_EQ);
            END_STATE();
        case 393:
            ACCEPT_TOKEN(anon_sym_BANG_EQ);
            END_STATE();
        case 394:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '=')
                ADVANCE(395);
            END_STATE();
        case 395:
            ACCEPT_TOKEN(anon_sym_GT_EQ);
            END_STATE();
        case 396:
            ACCEPT_TOKEN(anon_sym_LT);
            if(lookahead == '=')
                ADVANCE(397);
            END_STATE();
        case 397:
            ACCEPT_TOKEN(anon_sym_LT_EQ);
            END_STATE();
        case 398:
            ACCEPT_TOKEN(anon_sym_and);
            END_STATE();
        case 399:
            ACCEPT_TOKEN(anon_sym_and);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 400:
            ACCEPT_TOKEN(anon_sym_or);
            END_STATE();
        case 401:
            ACCEPT_TOKEN(anon_sym_or);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 402:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 403:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 404:
            ACCEPT_TOKEN(anon_sym_not);
            END_STATE();
        case 405:
            ACCEPT_TOKEN(anon_sym_not);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 406:
            ACCEPT_TOKEN(anon_sym_BANG);
            END_STATE();
        case 407:
            ACCEPT_TOKEN(anon_sym_BANG);
            if(lookahead == '=')
                ADVANCE(393);
            END_STATE();
        case 408:
            ACCEPT_TOKEN(anon_sym_endfor);
            END_STATE();
        case 409:
            ACCEPT_TOKEN(anon_sym_elif);
            END_STATE();
        case 410:
            ACCEPT_TOKEN(anon_sym_else);
            END_STATE();
        case 411:
            ACCEPT_TOKEN(anon_sym_endif);
            END_STATE();
        case 412:
            ACCEPT_TOKEN(anon_sym_endblock);
            END_STATE();
        case 413:
            ACCEPT_TOKEN(anon_sym_endwith);
            END_STATE();
        case 414:
            ACCEPT_TOKEN(anon_sym_endfilter);
            END_STATE();
        case 415:
            ACCEPT_TOKEN(anon_sym_endmacro);
            END_STATE();
        case 416:
            ACCEPT_TOKEN(anon_sym_endcall);
            END_STATE();
        case 417:
            ACCEPT_TOKEN(anon_sym_endset);
            END_STATE();
        case 418:
            ACCEPT_TOKEN(anon_sym_endtrans);
            END_STATE();
        case 419:
            ACCEPT_TOKEN(anon_sym_continue);
            END_STATE();
        case 420:
            ACCEPT_TOKEN(anon_sym_break);
            END_STATE();
        case 421:
            ACCEPT_TOKEN(anon_sym_debug);
            END_STATE();
        case 422:
            ACCEPT_TOKEN(anon_sym_endautoescape);
            END_STATE();
        case 423:
            ACCEPT_TOKEN(anon_sym_do);
            END_STATE();
        case 424:
            ACCEPT_TOKEN(anon_sym_autoescape);
            END_STATE();
        case 425:
            ACCEPT_TOKEN(anon_sym_trans);
            END_STATE();
        case 426:
            ACCEPT_TOKEN(anon_sym_pluralize);
            END_STATE();
        case 427:
            ACCEPT_TOKEN(anon_sym_if);
            END_STATE();
        case 428:
            ACCEPT_TOKEN(anon_sym_block);
            END_STATE();
        case 429:
            ACCEPT_TOKEN(anon_sym_macro);
            END_STATE();
        case 430:
            ACCEPT_TOKEN(anon_sym_extends);
            END_STATE();
        case 431:
            ACCEPT_TOKEN(anon_sym_call);
            END_STATE();
        case 432:
            ACCEPT_TOKEN(anon_sym_with);
            END_STATE();
        case 433:
            ACCEPT_TOKEN(anon_sym_with);
            if(lookahead == 'o')
                ADVANCE(257);
            END_STATE();
        case 434:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 435:
            ACCEPT_TOKEN(anon_sym_from);
            END_STATE();
        case 436:
            ACCEPT_TOKEN(anon_sym_as);
            END_STATE();
        case 437:
            ACCEPT_TOKEN(anon_sym_include);
            END_STATE();
        case 438:
            ACCEPT_TOKEN(anon_sym_ignore);
            END_STATE();
        case 439:
            ACCEPT_TOKEN(anon_sym_missing);
            END_STATE();
        case 440:
            ACCEPT_TOKEN(anon_sym_without);
            END_STATE();
        case 441:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 442:
            ACCEPT_TOKEN(anon_sym_set);
            END_STATE();
        case 443:
            ACCEPT_TOKEN(anon_sym_for);
            END_STATE();
        case 444:
            ACCEPT_TOKEN(anon_sym_recursive);
            END_STATE();
        case 445:
            ACCEPT_TOKEN(aux_sym_words_token1);
            END_STATE();
        case 446:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == ' ')
                ADVANCE(589);
            if(lookahead == '#')
                ADVANCE(568);
            END_STATE();
        case 447:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == '#')
                ADVANCE(446);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(447);
            if(lookahead != 0 &&
               lookahead != '{')
                ADVANCE(445);
            END_STATE();
        case 448:
            ACCEPT_TOKEN(aux_sym_words_token2);
            END_STATE();
        case 449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(539);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(523);
            if(lookahead == 'e')
                ADVANCE(544);
            if(lookahead == 't')
                ADVANCE(552);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(514);
            if(lookahead == 'i')
                ADVANCE(512);
            if(lookahead == 'l')
                ADVANCE(537);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(560);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(540);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(554);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(526);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(566);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(519);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(501);
            if(lookahead == 'i')
                ADVANCE(564);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(349);
            if(lookahead == 't')
                ADVANCE(351);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(360);
            if(lookahead == 'o')
                ADVANCE(565);
            if(lookahead == 't')
                ADVANCE(364);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(368);
            if(lookahead == 'o')
                ADVANCE(531);
            if(lookahead == 'u')
                ADVANCE(517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(556);
            if(lookahead == 'r')
                ADVANCE(562);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(525);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(287);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(281);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(283);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(358);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(553);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(546);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(547);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(548);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(527);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(549);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(550);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(378);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(557);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(528);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(534);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(561);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(558);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(513);
            if(lookahead == 'm')
                ADVANCE(464);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(495);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(353);
            if(lookahead == 't')
                ADVANCE(487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(473);
            if(lookahead == 'p')
                ADVANCE(542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(481);
            if(lookahead == 't')
                ADVANCE(405);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(538);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(531);
            if(lookahead == 'u')
                ADVANCE(518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(541);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(339);
            if(lookahead == 's')
                ADVANCE(465);
            if(lookahead == 'v')
                ADVANCE(479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(563);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(562);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(362);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 549:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 550:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(356);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 551:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 552:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 553:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 554:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(374);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 555:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 556:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(559);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 557:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 558:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 559:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 560:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 561:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 562:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 563:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 564:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 565:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 566:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 567:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(567);
            END_STATE();
        case 568:
            ACCEPT_TOKEN(anon_sym_POUND_POUND);
            END_STATE();
        case 569:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\t' ||
               lookahead == 0x0b ||
               lookahead == '\f' ||
               lookahead == ' ')
                ADVANCE(569);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(570);
            END_STATE();
        case 570:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(570);
            END_STATE();
        case 571:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(571);
            if(lookahead == '\r')
                ADVANCE(1);
            END_STATE();
        case 572:
            ACCEPT_TOKEN(anon_sym_LBRACE_POUND);
            END_STATE();
        case 573:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(573);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(574);
            END_STATE();
        case 574:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(574);
            END_STATE();
        case 575:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == '}')
                ADVANCE(576);
            END_STATE();
        case 576:
            ACCEPT_TOKEN(anon_sym_POUND_RBRACE);
            END_STATE();
        case 577:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
            if(lookahead == '+')
                ADVANCE(579);
            if(lookahead == '-')
                ADVANCE(578);
            END_STATE();
        case 578:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_DASH);
            END_STATE();
        case 579:
            ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_PLUS);
            END_STATE();
        case 580:
            ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
            END_STATE();
        case 581:
            ACCEPT_TOKEN(anon_sym_DASH_RBRACE_RBRACE);
            END_STATE();
        case 582:
            ACCEPT_TOKEN(anon_sym_PLUS_RBRACE_RBRACE);
            END_STATE();
        case 583:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
            if(lookahead == '+')
                ADVANCE(585);
            if(lookahead == '-')
                ADVANCE(584);
            END_STATE();
        case 584:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_DASH);
            END_STATE();
        case 585:
            ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PLUS);
            END_STATE();
        case 586:
            ACCEPT_TOKEN(anon_sym_DASH_PERCENT_RBRACE);
            END_STATE();
        case 587:
            ACCEPT_TOKEN(anon_sym_PERCENT_RBRACE);
            END_STATE();
        case 588:
            ACCEPT_TOKEN(anon_sym_PLUS_PERCENT_RBRACE);
            END_STATE();
        case 589:
            ACCEPT_TOKEN(anon_sym_POUND2);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0, .external_lex_state = 1 },
    [1] = { .lex_state = 278, .external_lex_state = 2 },
    [2] = { .lex_state = 3 },
    [3] = { .lex_state = 3 },
    [4] = { .lex_state = 3 },
    [5] = { .lex_state = 5 },
    [6] = { .lex_state = 7 },
    [7] = { .lex_state = 2 },
    [8] = { .lex_state = 7 },
    [9] = { .lex_state = 2 },
    [10] = { .lex_state = 2 },
    [11] = { .lex_state = 2 },
    [12] = { .lex_state = 2 },
    [13] = { .lex_state = 2 },
    [14] = { .lex_state = 2 },
    [15] = { .lex_state = 2 },
    [16] = { .lex_state = 2 },
    [17] = { .lex_state = 2 },
    [18] = { .lex_state = 2 },
    [19] = { .lex_state = 4 },
    [20] = { .lex_state = 2 },
    [21] = { .lex_state = 2 },
    [22] = { .lex_state = 7 },
    [23] = { .lex_state = 7 },
    [24] = { .lex_state = 2 },
    [25] = { .lex_state = 7 },
    [26] = { .lex_state = 7 },
    [27] = { .lex_state = 4 },
    [28] = { .lex_state = 2 },
    [29] = { .lex_state = 2 },
    [30] = { .lex_state = 7 },
    [31] = { .lex_state = 2 },
    [32] = { .lex_state = 7 },
    [33] = { .lex_state = 7 },
    [34] = { .lex_state = 2 },
    [35] = { .lex_state = 4 },
    [36] = { .lex_state = 7 },
    [37] = { .lex_state = 2 },
    [38] = { .lex_state = 7 },
    [39] = { .lex_state = 7 },
    [40] = { .lex_state = 2 },
    [41] = { .lex_state = 2 },
    [42] = { .lex_state = 2 },
    [43] = { .lex_state = 2 },
    [44] = { .lex_state = 2 },
    [45] = { .lex_state = 2 },
    [46] = { .lex_state = 2 },
    [47] = { .lex_state = 2 },
    [48] = { .lex_state = 2 },
    [49] = { .lex_state = 2 },
    [50] = { .lex_state = 2 },
    [51] = { .lex_state = 2 },
    [52] = { .lex_state = 2 },
    [53] = { .lex_state = 2 },
    [54] = { .lex_state = 2 },
    [55] = { .lex_state = 2 },
    [56] = { .lex_state = 2 },
    [57] = { .lex_state = 2 },
    [58] = { .lex_state = 2 },
    [59] = { .lex_state = 2 },
    [60] = { .lex_state = 2 },
    [61] = { .lex_state = 2 },
    [62] = { .lex_state = 2 },
    [63] = { .lex_state = 2 },
    [64] = { .lex_state = 2 },
    [65] = { .lex_state = 2 },
    [66] = { .lex_state = 2 },
    [67] = { .lex_state = 2 },
    [68] = { .lex_state = 2 },
    [69] = { .lex_state = 2 },
    [70] = { .lex_state = 2 },
    [71] = { .lex_state = 2 },
    [72] = { .lex_state = 2 },
    [73] = { .lex_state = 2 },
    [74] = { .lex_state = 2 },
    [75] = { .lex_state = 2 },
    [76] = { .lex_state = 2 },
    [77] = { .lex_state = 2 },
    [78] = { .lex_state = 5 },
    [79] = { .lex_state = 5 },
    [80] = { .lex_state = 5 },
    [81] = { .lex_state = 5 },
    [82] = { .lex_state = 5 },
    [83] = { .lex_state = 5 },
    [84] = { .lex_state = 5 },
    [85] = { .lex_state = 5 },
    [86] = { .lex_state = 5 },
    [87] = { .lex_state = 5 },
    [88] = { .lex_state = 2 },
    [89] = { .lex_state = 5 },
    [90] = { .lex_state = 5 },
    [91] = { .lex_state = 5 },
    [92] = { .lex_state = 5 },
    [93] = { .lex_state = 2 },
    [94] = { .lex_state = 2 },
    [95] = { .lex_state = 5 },
    [96] = { .lex_state = 5 },
    [97] = { .lex_state = 5 },
    [98] = { .lex_state = 5 },
    [99] = { .lex_state = 5 },
    [100] = { .lex_state = 5 },
    [101] = { .lex_state = 5 },
    [102] = { .lex_state = 5 },
    [103] = { .lex_state = 5 },
    [104] = { .lex_state = 5 },
    [105] = { .lex_state = 2 },
    [106] = { .lex_state = 5 },
    [107] = { .lex_state = 5 },
    [108] = { .lex_state = 2 },
    [109] = { .lex_state = 5 },
    [110] = { .lex_state = 5 },
    [111] = { .lex_state = 2 },
    [112] = { .lex_state = 5 },
    [113] = { .lex_state = 5 },
    [114] = { .lex_state = 8 },
    [115] = { .lex_state = 8 },
    [116] = { .lex_state = 9 },
    [117] = { .lex_state = 6 },
    [118] = { .lex_state = 6 },
    [119] = { .lex_state = 6 },
    [120] = { .lex_state = 9 },
    [121] = { .lex_state = 6 },
    [122] = { .lex_state = 6 },
    [123] = { .lex_state = 6 },
    [124] = { .lex_state = 6 },
    [125] = { .lex_state = 6 },
    [126] = { .lex_state = 6 },
    [127] = { .lex_state = 6 },
    [128] = { .lex_state = 6 },
    [129] = { .lex_state = 6 },
    [130] = { .lex_state = 6 },
    [131] = { .lex_state = 6 },
    [132] = { .lex_state = 6 },
    [133] = { .lex_state = 6 },
    [134] = { .lex_state = 6 },
    [135] = { .lex_state = 6 },
    [136] = { .lex_state = 5 },
    [137] = { .lex_state = 6 },
    [138] = { .lex_state = 6 },
    [139] = { .lex_state = 6 },
    [140] = { .lex_state = 6 },
    [141] = { .lex_state = 6 },
    [142] = { .lex_state = 6 },
    [143] = { .lex_state = 6 },
    [144] = { .lex_state = 6 },
    [145] = { .lex_state = 6 },
    [146] = { .lex_state = 6 },
    [147] = { .lex_state = 6 },
    [148] = { .lex_state = 6 },
    [149] = { .lex_state = 6 },
    [150] = { .lex_state = 6 },
    [151] = { .lex_state = 6 },
    [152] = { .lex_state = 6 },
    [153] = { .lex_state = 6 },
    [154] = { .lex_state = 6 },
    [155] = { .lex_state = 6 },
    [156] = { .lex_state = 6 },
    [157] = { .lex_state = 6 },
    [158] = { .lex_state = 9 },
    [159] = { .lex_state = 9 },
    [160] = { .lex_state = 9 },
    [161] = { .lex_state = 9 },
    [162] = { .lex_state = 9 },
    [163] = { .lex_state = 9 },
    [164] = { .lex_state = 9 },
    [165] = { .lex_state = 9 },
    [166] = { .lex_state = 9 },
    [167] = { .lex_state = 9 },
    [168] = { .lex_state = 278, .external_lex_state = 2 },
    [169] = { .lex_state = 9 },
    [170] = { .lex_state = 9 },
    [171] = { .lex_state = 9 },
    [172] = { .lex_state = 9 },
    [173] = { .lex_state = 9 },
    [174] = { .lex_state = 9 },
    [175] = { .lex_state = 9 },
    [176] = { .lex_state = 9 },
    [177] = { .lex_state = 9 },
    [178] = { .lex_state = 9 },
    [179] = { .lex_state = 9 },
    [180] = { .lex_state = 9 },
    [181] = { .lex_state = 9 },
    [182] = { .lex_state = 9 },
    [183] = { .lex_state = 9 },
    [184] = { .lex_state = 9 },
    [185] = { .lex_state = 9 },
    [186] = { .lex_state = 9 },
    [187] = { .lex_state = 9 },
    [188] = { .lex_state = 278, .external_lex_state = 2 },
    [189] = { .lex_state = 9 },
    [190] = { .lex_state = 9 },
    [191] = { .lex_state = 9 },
    [192] = { .lex_state = 9 },
    [193] = { .lex_state = 9 },
    [194] = { .lex_state = 9 },
    [195] = { .lex_state = 9 },
    [196] = { .lex_state = 9 },
    [197] = { .lex_state = 9 },
    [198] = { .lex_state = 9 },
    [199] = { .lex_state = 2 },
    [200] = { .lex_state = 2 },
    [201] = { .lex_state = 278, .external_lex_state = 2 },
    [202] = { .lex_state = 278, .external_lex_state = 2 },
    [203] = { .lex_state = 278, .external_lex_state = 2 },
    [204] = { .lex_state = 278, .external_lex_state = 2 },
    [205] = { .lex_state = 278, .external_lex_state = 2 },
    [206] = { .lex_state = 278, .external_lex_state = 2 },
    [207] = { .lex_state = 278, .external_lex_state = 2 },
    [208] = { .lex_state = 278, .external_lex_state = 2 },
    [209] = { .lex_state = 278, .external_lex_state = 2 },
    [210] = { .lex_state = 278, .external_lex_state = 2 },
    [211] = { .lex_state = 278, .external_lex_state = 2 },
    [212] = { .lex_state = 278, .external_lex_state = 2 },
    [213] = { .lex_state = 0 },
    [214] = { .lex_state = 0 },
    [215] = { .lex_state = 0 },
    [216] = { .lex_state = 0 },
    [217] = { .lex_state = 0 },
    [218] = { .lex_state = 0 },
    [219] = { .lex_state = 0 },
    [220] = { .lex_state = 5 },
    [221] = { .lex_state = 0 },
    [222] = { .lex_state = 0 },
    [223] = { .lex_state = 5 },
    [224] = { .lex_state = 7 },
    [225] = { .lex_state = 7 },
    [226] = { .lex_state = 10 },
    [227] = { .lex_state = 10 },
    [228] = { .lex_state = 10 },
    [229] = { .lex_state = 0 },
    [230] = { .lex_state = 0 },
    [231] = { .lex_state = 0 },
    [232] = { .lex_state = 0 },
    [233] = { .lex_state = 0 },
    [234] = { .lex_state = 0 },
    [235] = { .lex_state = 0 },
    [236] = { .lex_state = 0 },
    [237] = { .lex_state = 5 },
    [238] = { .lex_state = 0 },
    [239] = { .lex_state = 0 },
    [240] = { .lex_state = 0 },
    [241] = { .lex_state = 0 },
    [242] = { .lex_state = 10 },
    [243] = { .lex_state = 0 },
    [244] = { .lex_state = 0 },
    [245] = { .lex_state = 10 },
    [246] = { .lex_state = 0 },
    [247] = { .lex_state = 10 },
    [248] = { .lex_state = 0 },
    [249] = { .lex_state = 0 },
    [250] = { .lex_state = 10 },
    [251] = { .lex_state = 0 },
    [252] = { .lex_state = 10 },
    [253] = { .lex_state = 0 },
    [254] = { .lex_state = 0 },
    [255] = { .lex_state = 0 },
    [256] = { .lex_state = 0 },
    [257] = { .lex_state = 0 },
    [258] = { .lex_state = 0 },
    [259] = { .lex_state = 0 },
    [260] = { .lex_state = 0 },
    [261] = { .lex_state = 0 },
    [262] = { .lex_state = 0 },
    [263] = { .lex_state = 0 },
    [264] = { .lex_state = 0 },
    [265] = { .lex_state = 0 },
    [266] = { .lex_state = 0 },
    [267] = { .lex_state = 0 },
    [268] = { .lex_state = 10 },
    [269] = { .lex_state = 0 },
    [270] = { .lex_state = 0 },
    [271] = { .lex_state = 0 },
    [272] = { .lex_state = 0 },
    [273] = { .lex_state = 0 },
    [274] = { .lex_state = 0 },
    [275] = { .lex_state = 0 },
    [276] = { .lex_state = 0 },
    [277] = { .lex_state = 0 },
    [278] = { .lex_state = 11 },
    [279] = { .lex_state = 0 },
    [280] = { .lex_state = 13 },
    [281] = { .lex_state = 0 },
    [282] = { .lex_state = 13 },
    [283] = { .lex_state = 0 },
    [284] = { .lex_state = 11 },
    [285] = { .lex_state = 17 },
    [286] = { .lex_state = 11 },
    [287] = { .lex_state = 11 },
    [288] = { .lex_state = 17 },
    [289] = { .lex_state = 11 },
    [290] = { .lex_state = 17 },
    [291] = { .lex_state = 10 },
    [292] = { .lex_state = 10 },
    [293] = { .lex_state = 17 },
    [294] = { .lex_state = 11 },
    [295] = { .lex_state = 17 },
    [296] = { .lex_state = 11 },
    [297] = { .lex_state = 13 },
    [298] = { .lex_state = 17 },
    [299] = { .lex_state = 0 },
    [300] = { .lex_state = 0 },
    [301] = { .lex_state = 17 },
    [302] = { .lex_state = 10 },
    [303] = { .lex_state = 10 },
    [304] = { .lex_state = 0 },
    [305] = { .lex_state = 0 },
    [306] = { .lex_state = 0 },
    [307] = { .lex_state = 0 },
    [308] = { .lex_state = 0, .external_lex_state = 3 },
    [309] = { .lex_state = 0 },
    [310] = { .lex_state = 0 },
    [311] = { .lex_state = 0 },
    [312] = { .lex_state = 0 },
    [313] = { .lex_state = 0 },
    [314] = { .lex_state = 7 },
    [315] = { .lex_state = 0 },
    [316] = { .lex_state = 0 },
    [317] = { .lex_state = 0, .external_lex_state = 3 },
    [318] = { .lex_state = 0 },
    [319] = { .lex_state = 0 },
    [320] = { .lex_state = 0 },
    [321] = { .lex_state = 0 },
    [322] = { .lex_state = 0 },
    [323] = { .lex_state = 0 },
    [324] = { .lex_state = 0 },
    [325] = { .lex_state = 3 },
    [326] = { .lex_state = 0 },
    [327] = { .lex_state = 0 },
    [328] = { .lex_state = 0 },
    [329] = { .lex_state = 0 },
    [330] = { .lex_state = 0 },
    [331] = { .lex_state = 7 },
    [332] = { .lex_state = 0 },
    [333] = { .lex_state = 0 },
    [334] = { .lex_state = 0, .external_lex_state = 3 },
    [335] = { .lex_state = 0 },
    [336] = { .lex_state = 0 },
    [337] = { .lex_state = 0 },
    [338] = { .lex_state = 0 },
    [339] = { .lex_state = 0 },
    [340] = { .lex_state = 0 },
    [341] = { .lex_state = 10 },
    [342] = { .lex_state = 0 },
    [343] = { .lex_state = 0 },
    [344] = { .lex_state = 0 },
    [345] = { .lex_state = 0 },
    [346] = { .lex_state = 0 },
    [347] = { .lex_state = 0 },
    [348] = { .lex_state = 0 },
    [349] = { .lex_state = 0 },
    [350] = { .lex_state = 0 },
    [351] = { .lex_state = 0 },
    [352] = { .lex_state = 0 },
    [353] = { .lex_state = 0 },
    [354] = { .lex_state = 0 },
    [355] = { .lex_state = 0 },
    [356] = { .lex_state = 0 },
    [357] = { .lex_state = 0 },
    [358] = { .lex_state = 0 },
    [359] = { .lex_state = 0 },
    [360] = { .lex_state = 0 },
    [361] = { .lex_state = 0 },
    [362] = { .lex_state = 0 },
    [363] = { .lex_state = 0 },
    [364] = { .lex_state = 0 },
    [365] = { .lex_state = 0, .external_lex_state = 3 },
    [366] = { .lex_state = 10 },
    [367] = { .lex_state = 0 },
    [368] = { .lex_state = 10 },
    [369] = { .lex_state = 10 },
    [370] = { .lex_state = 0 },
    [371] = { .lex_state = 5 },
    [372] = { .lex_state = 10 },
    [373] = { .lex_state = 5 },
    [374] = { .lex_state = 5 },
    [375] = { .lex_state = 0 },
    [376] = { .lex_state = 0 },
    [377] = { .lex_state = 10 },
    [378] = { .lex_state = 5 },
    [379] = { .lex_state = 0 },
    [380] = { .lex_state = 5 },
    [381] = { .lex_state = 0 },
    [382] = { .lex_state = 0 },
    [383] = { .lex_state = 5 },
    [384] = { .lex_state = 10 },
    [385] = { .lex_state = 0 },
    [386] = { .lex_state = 10 },
    [387] = { .lex_state = 0 },
    [388] = { .lex_state = 0, .external_lex_state = 4 },
    [389] = { .lex_state = 0 },
    [390] = { .lex_state = 5 },
    [391] = { .lex_state = 10 },
    [392] = { .lex_state = 0 },
    [393] = { .lex_state = 1 },
    [394] = { .lex_state = 0 },
    [395] = { .lex_state = 0 },
    [396] = { .lex_state = 0 },
    [397] = { .lex_state = 10 },
    [398] = { .lex_state = 0 },
    [399] = { .lex_state = 5 },
    [400] = { .lex_state = 0 },
    [401] = { .lex_state = 0 },
    [402] = { .lex_state = 569 },
    [403] = { .lex_state = 0 },
    [404] = { .lex_state = 1 },
    [405] = { .lex_state = 0 },
    [406] = { .lex_state = 5 },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_true] = ACTIONS(1),
        [anon_sym_false] = ACTIONS(1),
        [anon_sym_null] = ACTIONS(1),
        [anon_sym_none] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [sym_dec_literal] = ACTIONS(1),
        [anon_sym_e] = ACTIONS(1),
        [anon_sym_e_PLUS] = ACTIONS(1),
        [anon_sym_e_DASH] = ACTIONS(1),
        [anon_sym__] = ACTIONS(1),
        [sym_oct_literal] = ACTIONS(1),
        [sym_bin_literal] = ACTIONS(1),
        [sym_hex_literal] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_SQUOTE] = ACTIONS(1),
        [anon_sym_is] = ACTIONS(1),
        [anon_sym_boolean] = ACTIONS(1),
        [anon_sym_defined] = ACTIONS(1),
        [anon_sym_divisibleby] = ACTIONS(1),
        [anon_sym_eq] = ACTIONS(1),
        [anon_sym_escaped] = ACTIONS(1),
        [anon_sym_even] = ACTIONS(1),
        [anon_sym_filter] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_ge] = ACTIONS(1),
        [anon_sym_gt] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_integer] = ACTIONS(1),
        [anon_sym_iterable] = ACTIONS(1),
        [anon_sym_le] = ACTIONS(1),
        [anon_sym_lower] = ACTIONS(1),
        [anon_sym_lt] = ACTIONS(1),
        [anon_sym_mapping] = ACTIONS(1),
        [anon_sym_ne] = ACTIONS(1),
        [anon_sym_number] = ACTIONS(1),
        [anon_sym_odd] = ACTIONS(1),
        [anon_sym_sameas] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_test] = ACTIONS(1),
        [anon_sym_undefined] = ACTIONS(1),
        [anon_sym_upper] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_STAR_STAR] = ACTIONS(1),
        [anon_sym_EQ_EQ] = ACTIONS(1),
        [anon_sym_BANG_EQ] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_GT_EQ] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_LT_EQ] = ACTIONS(1),
        [anon_sym_and] = ACTIONS(1),
        [anon_sym_or] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [anon_sym_not] = ACTIONS(1),
        [anon_sym_BANG] = ACTIONS(1),
        [anon_sym_endfor] = ACTIONS(1),
        [anon_sym_elif] = ACTIONS(1),
        [anon_sym_else] = ACTIONS(1),
        [anon_sym_endif] = ACTIONS(1),
        [anon_sym_endblock] = ACTIONS(1),
        [anon_sym_endwith] = ACTIONS(1),
        [anon_sym_endfilter] = ACTIONS(1),
        [anon_sym_endmacro] = ACTIONS(1),
        [anon_sym_endcall] = ACTIONS(1),
        [anon_sym_endset] = ACTIONS(1),
        [anon_sym_endtrans] = ACTIONS(1),
        [anon_sym_continue] = ACTIONS(1),
        [anon_sym_break] = ACTIONS(1),
        [anon_sym_debug] = ACTIONS(1),
        [anon_sym_endautoescape] = ACTIONS(1),
        [anon_sym_do] = ACTIONS(1),
        [anon_sym_autoescape] = ACTIONS(1),
        [anon_sym_trans] = ACTIONS(1),
        [anon_sym_pluralize] = ACTIONS(1),
        [anon_sym_if] = ACTIONS(1),
        [anon_sym_block] = ACTIONS(1),
        [anon_sym_macro] = ACTIONS(1),
        [anon_sym_extends] = ACTIONS(1),
        [anon_sym_call] = ACTIONS(1),
        [anon_sym_with] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_from] = ACTIONS(1),
        [anon_sym_as] = ACTIONS(1),
        [anon_sym_ignore] = ACTIONS(1),
        [anon_sym_missing] = ACTIONS(1),
        [anon_sym_without] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [anon_sym_set] = ACTIONS(1),
        [anon_sym_for] = ACTIONS(1),
        [anon_sym_recursive] = ACTIONS(1),
        [anon_sym_LBRACE_POUND] = ACTIONS(1),
        [anon_sym_POUND] = ACTIONS(1),
        [anon_sym_POUND_RBRACE] = ACTIONS(1),
        [anon_sym_DASH_RBRACE_RBRACE] = ACTIONS(1),
        [anon_sym_PLUS_RBRACE_RBRACE] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT_DASH] = ACTIONS(1),
        [anon_sym_LBRACE_PERCENT_PLUS] = ACTIONS(1),
        [anon_sym_DASH_PERCENT_RBRACE] = ACTIONS(1),
        [anon_sym_PERCENT_RBRACE] = ACTIONS(1),
        [anon_sym_PLUS_PERCENT_RBRACE] = ACTIONS(1),
        [sym_raw_start] = ACTIONS(1),
        [sym__raw_char] = ACTIONS(1),
        [sym_raw_end] = ACTIONS(1),
        [sym__inline_words] = ACTIONS(1),
    },
    [1] = {
        [sym_source] = STATE(400),
        [sym_words] = STATE(204),
        [sym_comment] = STATE(204),
        [sym_definition] = STATE(168),
        [sym_render_expression] = STATE(204),
        [sym_control] = STATE(204),
        [sym_raw_block] = STATE(204),
        [sym_inline] = STATE(204),
        [aux_sym_source_repeat1] = STATE(168),
        [aux_sym_words_repeat1] = STATE(201),
        [ts_builtin_sym_end] = ACTIONS(3),
        [aux_sym_words_token1] = ACTIONS(5),
        [aux_sym_words_token2] = ACTIONS(5),
        [anon_sym_POUND_POUND] = ACTIONS(7),
        [anon_sym_LBRACE_POUND] = ACTIONS(9),
        [anon_sym_LBRACE_LBRACE] = ACTIONS(11),
        [anon_sym_LBRACE_LBRACE_DASH] = ACTIONS(11),
        [anon_sym_LBRACE_LBRACE_PLUS] = ACTIONS(11),
        [anon_sym_LBRACE_PERCENT] = ACTIONS(13),
        [anon_sym_LBRACE_PERCENT_DASH] = ACTIONS(13),
        [anon_sym_LBRACE_PERCENT_PLUS] = ACTIONS(13),
        [anon_sym_POUND2] = ACTIONS(15),
        [sym_raw_start] = ACTIONS(17),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(45),
    1,
    anon_sym_in,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(98),
    1,
    sym_big_dec_literal,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(96),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(43),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(41),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [109] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(79),
    1,
    anon_sym_in,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(147),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(77),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(75),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [218] = 23,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(109),
    1,
    anon_sym_in,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(169),
    2,
    sym_builtin_test,
    sym_unary_expression,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    ACTIONS(107),
    8,
    anon_sym_divisibleby,
    anon_sym_eq,
    anon_sym_ge,
    anon_sym_gt,
    anon_sym_le,
    anon_sym_lt,
    anon_sym_ne,
    anon_sym_sameas,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    ACTIONS(105),
    18,
    anon_sym_boolean,
    anon_sym_callable,
    anon_sym_defined,
    anon_sym_escaped,
    anon_sym_even,
    anon_sym_filter,
    anon_sym_float,
    anon_sym_integer,
    anon_sym_iterable,
    anon_sym_lower,
    anon_sym_mapping,
    anon_sym_number,
    anon_sym_odd,
    anon_sym_sequence,
    anon_sym_string,
    anon_sym_test,
    anon_sym_undefined,
    anon_sym_upper,
    [327] = 21,
    ACTIONS(113),
    1,
    anon_sym_filter,
    ACTIONS(117),
    1,
    anon_sym_elif,
    ACTIONS(119),
    1,
    anon_sym_do,
    ACTIONS(121),
    1,
    anon_sym_autoescape,
    ACTIONS(123),
    1,
    anon_sym_trans,
    ACTIONS(125),
    1,
    anon_sym_pluralize,
    ACTIONS(127),
    1,
    anon_sym_if,
    ACTIONS(129),
    1,
    anon_sym_block,
    ACTIONS(131),
    1,
    anon_sym_macro,
    ACTIONS(133),
    1,
    anon_sym_extends,
    ACTIONS(135),
    1,
    anon_sym_call,
    ACTIONS(137),
    1,
    anon_sym_with,
    ACTIONS(139),
    1,
    anon_sym_import,
    ACTIONS(141),
    1,
    anon_sym_from,
    ACTIONS(143),
    1,
    anon_sym_include,
    ACTIONS(145),
    1,
    anon_sym_set,
    ACTIONS(147),
    1,
    anon_sym_for,
    STATE(337),
    1,
    sym_statement,
    STATE(387),
    1,
    sym_import_from,
    ACTIONS(115),
    14,
    anon_sym_endfor,
    anon_sym_else,
    anon_sym_endif,
    anon_sym_endblock,
    anon_sym_endwith,
    anon_sym_endfilter,
    anon_sym_endmacro,
    anon_sym_endcall,
    anon_sym_endset,
    anon_sym_endtrans,
    anon_sym_continue,
    anon_sym_break,
    anon_sym_debug,
    anon_sym_endautoescape,
    STATE(346),
    15,
    sym_do_statement,
    sym_autoescape_statement,
    sym_trans_statement,
    sym_pluralize_statement,
    sym_block_statement,
    sym_filter_statement,
    sym_macro_statement,
    sym_extends_statement,
    sym_call_statement,
    sym_with_statement,
    sym_import_statement,
    sym_include_statement,
    sym_set_statement,
    sym_for_statement,
    sym_if_expression,
    [418] = 2,
    ACTIONS(149),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(151),
    30,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_import,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [462] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(237),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(153),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    ACTIONS(155),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [548] = 2,
    ACTIONS(157),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(159),
    30,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_import,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [592] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(161),
    1,
    anon_sym_COMMA,
    ACTIONS(163),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(255),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [679] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(165),
    1,
    anon_sym_COMMA,
    ACTIONS(167),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(258),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [766] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(169),
    1,
    anon_sym_COMMA,
    ACTIONS(171),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(273),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [853] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(173),
    1,
    anon_sym_RPAREN,
    ACTIONS(175),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(300),
    1,
    sym_expression,
    STATE(359),
    1,
    sym_arg,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [940] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(177),
    1,
    anon_sym_COMMA,
    ACTIONS(179),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(265),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1027] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(181),
    1,
    anon_sym_COMMA,
    ACTIONS(183),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(275),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1114] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(175),
    1,
    sym_identifier,
    ACTIONS(185),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(300),
    1,
    sym_expression,
    STATE(307),
    1,
    sym_arg,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1201] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(187),
    1,
    anon_sym_COMMA,
    ACTIONS(189),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(257),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1288] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(165),
    1,
    anon_sym_COMMA,
    ACTIONS(167),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(259),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1375] = 24,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(175),
    1,
    sym_identifier,
    ACTIONS(191),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(300),
    1,
    sym_expression,
    STATE(333),
    1,
    sym_arg,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1462] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(193),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(327),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1546] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(175),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(300),
    1,
    sym_expression,
    STATE(363),
    1,
    sym_arg,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1630] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(195),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1714] = 4,
    ACTIONS(199),
    1,
    anon_sym_e,
    ACTIONS(201),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(197),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(203),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1760] = 2,
    ACTIONS(205),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(207),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1802] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(209),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1886] = 5,
    ACTIONS(199),
    1,
    anon_sym_e,
    ACTIONS(213),
    1,
    anon_sym_DOT,
    ACTIONS(201),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(211),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(215),
    25,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1934] = 2,
    ACTIONS(217),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(219),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [1976] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(221),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(312),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2060] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(223),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2144] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(225),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2228] = 2,
    ACTIONS(227),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(229),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2270] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(231),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2354] = 2,
    ACTIONS(233),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(235),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2396] = 2,
    ACTIONS(237),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(239),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2438] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(241),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2522] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(243),
    1,
    anon_sym_RBRACE,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(313),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2606] = 2,
    ACTIONS(245),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(247),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2648] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(249),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2732] = 2,
    ACTIONS(251),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(253),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2774] = 2,
    ACTIONS(255),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_with,
    ACTIONS(257),
    28,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [2816] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(259),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2900] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(261),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2984] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(263),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3068] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(265),
    1,
    anon_sym_RPAREN,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3152] = 23,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    ACTIONS(267),
    1,
    anon_sym_RBRACK,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3236] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(261),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3317] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(266),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3398] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(276),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3479] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(263),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3560] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(262),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3641] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(343),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3722] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(283),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3803] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(158),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(177),
    1,
    sym_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3884] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(240),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3965] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(118),
    1,
    sym_binary_expression,
    STATE(126),
    1,
    sym_unary_expression,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    STATE(252),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4046] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(264),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4127] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(236),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4208] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4289] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(118),
    1,
    sym_binary_expression,
    STATE(126),
    1,
    sym_unary_expression,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    STATE(245),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4370] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(253),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4451] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(79),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(100),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4532] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(223),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4613] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(272),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4694] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(270),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4775] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(119),
    1,
    sym_binary_expression,
    STATE(126),
    1,
    sym_unary_expression,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    STATE(156),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4856] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(249),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4937] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(232),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5018] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(233),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5099] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(354),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5180] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(361),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5261] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(311),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5342] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(103),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5423] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(227),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5504] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(306),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5585] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(220),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5666] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(159),
    1,
    sym_binary_expression,
    STATE(162),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(299),
    1,
    sym_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5747] = 22,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(118),
    1,
    sym_binary_expression,
    STATE(126),
    1,
    sym_unary_expression,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    STATE(227),
    1,
    sym_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5828] = 22,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(80),
    1,
    sym_binary_expression,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(89),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(360),
    1,
    sym_expression,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5909] = 3,
    ACTIONS(273),
    1,
    anon_sym_LPAREN,
    ACTIONS(269),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(271),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [5951] = 3,
    STATE(94),
    1,
    sym_binary_operator,
    ACTIONS(275),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [5993] = 6,
    ACTIONS(275),
    1,
    anon_sym_EQ,
    ACTIONS(281),
    1,
    anon_sym_is,
    STATE(94),
    1,
    sym_binary_operator,
    ACTIONS(279),
    7,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(283),
    10,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    ACTIONS(277),
    15,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6041] = 2,
    ACTIONS(285),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(287),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6080] = 2,
    ACTIONS(289),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(291),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6119] = 2,
    ACTIONS(293),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(295),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6158] = 2,
    ACTIONS(297),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(299),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6197] = 2,
    ACTIONS(301),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(303),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6236] = 2,
    ACTIONS(305),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(307),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6275] = 2,
    ACTIONS(309),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(311),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6314] = 20,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(95),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6389] = 2,
    ACTIONS(313),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(315),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6428] = 2,
    ACTIONS(317),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(319),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6467] = 2,
    ACTIONS(321),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(323),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6506] = 2,
    ACTIONS(325),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(327),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6545] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    STATE(198),
    1,
    sym_unary_expression,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6620] = 20,
    ACTIONS(25),
    1,
    sym_dec_literal,
    ACTIONS(27),
    1,
    anon_sym__,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(33),
    1,
    anon_sym_LPAREN,
    ACTIONS(35),
    1,
    anon_sym_LBRACE,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(51),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_primary_expression,
    STATE(88),
    1,
    sym_unary_operator,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(98),
    1,
    sym_big_dec_literal,
    ACTIONS(19),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(21),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(23),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(29),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(97),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(90),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6695] = 2,
    ACTIONS(329),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(331),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6734] = 2,
    ACTIONS(333),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(335),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6773] = 2,
    ACTIONS(269),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(271),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6812] = 2,
    ACTIONS(211),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(215),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6851] = 2,
    ACTIONS(337),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(339),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6890] = 2,
    ACTIONS(341),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(343),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6929] = 2,
    ACTIONS(341),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(343),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [6968] = 2,
    ACTIONS(345),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(347),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7007] = 2,
    ACTIONS(349),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(351),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7046] = 2,
    ACTIONS(353),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(355),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7085] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(89),
    1,
    sym_dec_literal,
    ACTIONS(91),
    1,
    anon_sym__,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    ACTIONS(97),
    1,
    anon_sym_LPAREN,
    ACTIONS(99),
    1,
    anon_sym_LBRACE,
    ACTIONS(101),
    1,
    anon_sym_DQUOTE,
    ACTIONS(103),
    1,
    anon_sym_SQUOTE,
    ACTIONS(111),
    1,
    sym_identifier,
    STATE(93),
    1,
    sym_unary_operator,
    STATE(169),
    1,
    sym_unary_expression,
    STATE(178),
    1,
    sym_primary_expression,
    STATE(196),
    1,
    sym_big_dec_literal,
    ACTIONS(83),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(85),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(87),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(93),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(193),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(191),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7160] = 2,
    ACTIONS(205),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(207),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7199] = 2,
    ACTIONS(197),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(203),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7238] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(147),
    1,
    sym_unary_expression,
    STATE(154),
    1,
    sym_primary_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7313] = 2,
    ACTIONS(357),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(359),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7352] = 2,
    ACTIONS(361),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(363),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7391] = 20,
    ACTIONS(47),
    1,
    anon_sym_not,
    ACTIONS(49),
    1,
    anon_sym_BANG,
    ACTIONS(59),
    1,
    sym_dec_literal,
    ACTIONS(61),
    1,
    anon_sym__,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    ACTIONS(67),
    1,
    anon_sym_LPAREN,
    ACTIONS(69),
    1,
    anon_sym_LBRACE,
    ACTIONS(71),
    1,
    anon_sym_DQUOTE,
    ACTIONS(73),
    1,
    anon_sym_SQUOTE,
    ACTIONS(81),
    1,
    sym_identifier,
    STATE(111),
    1,
    sym_unary_operator,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(137),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_primary_expression,
    ACTIONS(53),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(55),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(57),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(63),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(134),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(133),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [7466] = 2,
    ACTIONS(365),
    8,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(367),
    26,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7505] = 1,
    ACTIONS(369),
    30,
    anon_sym_filter,
    anon_sym_endfor,
    anon_sym_elif,
    anon_sym_else,
    anon_sym_endif,
    anon_sym_endblock,
    anon_sym_endwith,
    anon_sym_endfilter,
    anon_sym_endmacro,
    anon_sym_endcall,
    anon_sym_endset,
    anon_sym_endtrans,
    anon_sym_continue,
    anon_sym_break,
    anon_sym_debug,
    anon_sym_endautoescape,
    anon_sym_do,
    anon_sym_autoescape,
    anon_sym_trans,
    anon_sym_pluralize,
    anon_sym_if,
    anon_sym_block,
    anon_sym_macro,
    anon_sym_extends,
    anon_sym_call,
    anon_sym_with,
    anon_sym_import,
    anon_sym_include,
    anon_sym_set,
    anon_sym_for,
    [7538] = 5,
    ACTIONS(371),
    1,
    anon_sym_e,
    ACTIONS(375),
    1,
    anon_sym_DOT,
    ACTIONS(373),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(211),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(215),
    12,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7576] = 4,
    ACTIONS(371),
    1,
    anon_sym_e,
    ACTIONS(373),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(197),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(203),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7612] = 5,
    ACTIONS(377),
    1,
    anon_sym_e,
    ACTIONS(381),
    1,
    anon_sym_DOT,
    ACTIONS(379),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(211),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(215),
    17,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7648] = 3,
    ACTIONS(383),
    1,
    anon_sym_LPAREN,
    ACTIONS(269),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(271),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7680] = 6,
    ACTIONS(275),
    1,
    sym_identifier,
    ACTIONS(385),
    1,
    anon_sym_is,
    STATE(108),
    1,
    sym_binary_operator,
    ACTIONS(277),
    5,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    ACTIONS(283),
    8,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    ACTIONS(279),
    9,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    [7718] = 3,
    STATE(108),
    1,
    sym_binary_operator,
    ACTIONS(275),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(277),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7750] = 4,
    ACTIONS(377),
    1,
    anon_sym_e,
    ACTIONS(379),
    2,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(197),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(203),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7784] = 2,
    ACTIONS(205),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(207),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7813] = 2,
    ACTIONS(285),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(287),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7842] = 2,
    ACTIONS(341),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(343),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7871] = 2,
    ACTIONS(309),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(311),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7900] = 2,
    ACTIONS(237),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(239),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7929] = 2,
    ACTIONS(313),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(315),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7958] = 2,
    ACTIONS(149),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(151),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [7987] = 2,
    ACTIONS(357),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(359),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8016] = 2,
    ACTIONS(329),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(331),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8045] = 2,
    ACTIONS(197),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(203),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8074] = 2,
    ACTIONS(289),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(291),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8103] = 2,
    ACTIONS(345),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(347),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8132] = 2,
    ACTIONS(317),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(319),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8161] = 2,
    ACTIONS(269),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(271),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8190] = 2,
    ACTIONS(205),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(207),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8219] = 4,
    ACTIONS(273),
    1,
    anon_sym_LPAREN,
    ACTIONS(387),
    1,
    anon_sym_EQ,
    ACTIONS(269),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(271),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8252] = 2,
    ACTIONS(211),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(215),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8281] = 2,
    ACTIONS(217),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(219),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8310] = 2,
    ACTIONS(349),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(351),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8339] = 2,
    ACTIONS(255),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(257),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8368] = 2,
    ACTIONS(361),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(363),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8397] = 2,
    ACTIONS(353),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(355),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8426] = 2,
    ACTIONS(233),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(235),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8455] = 2,
    ACTIONS(365),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(367),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8484] = 2,
    ACTIONS(337),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(339),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8513] = 2,
    ACTIONS(157),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(159),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8542] = 2,
    ACTIONS(333),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(335),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8571] = 2,
    ACTIONS(293),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(295),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8600] = 2,
    ACTIONS(227),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(229),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8629] = 2,
    ACTIONS(297),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(299),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8658] = 2,
    ACTIONS(251),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(253),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8687] = 2,
    ACTIONS(245),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(247),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8716] = 2,
    ACTIONS(301),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(303),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8745] = 2,
    ACTIONS(305),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(307),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8774] = 2,
    ACTIONS(321),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(323),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8803] = 2,
    ACTIONS(341),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(343),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8832] = 2,
    ACTIONS(325),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_PERCENT,
    anon_sym_GT,
    anon_sym_LT,
    anon_sym_and,
    anon_sym_or,
    sym_identifier,
    ACTIONS(327),
    13,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_SLASH_SLASH,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [8861] = 3,
    STATE(105),
    1,
    sym_binary_operator,
    ACTIONS(275),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(277),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8891] = 5,
    ACTIONS(389),
    1,
    anon_sym_is,
    STATE(105),
    1,
    sym_binary_operator,
    ACTIONS(277),
    4,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    ACTIONS(279),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(283),
    13,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8925] = 3,
    ACTIONS(391),
    1,
    anon_sym_LPAREN,
    ACTIONS(269),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(271),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8955] = 2,
    ACTIONS(251),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(253),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8982] = 2,
    ACTIONS(313),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(315),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9009] = 2,
    ACTIONS(293),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(295),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9036] = 2,
    ACTIONS(365),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(367),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9063] = 2,
    ACTIONS(361),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(363),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9090] = 2,
    ACTIONS(245),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(247),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9117] = 2,
    ACTIONS(325),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(327),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9144] = 11,
    ACTIONS(7),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(9),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(15),
    1,
    anon_sym_POUND2,
    ACTIONS(17),
    1,
    sym_raw_start,
    ACTIONS(393),
    1,
    ts_builtin_sym_end,
    STATE(201),
    1,
    aux_sym_words_repeat1,
    ACTIONS(5),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    STATE(188),
    2,
    sym_definition,
    aux_sym_source_repeat1,
    ACTIONS(11),
    3,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    ACTIONS(13),
    3,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    STATE(204),
    6,
    sym_words,
    sym_comment,
    sym_render_expression,
    sym_control,
    sym_raw_block,
    sym_inline,
    [9189] = 2,
    ACTIONS(333),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(335),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9216] = 2,
    ACTIONS(321),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(323),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9243] = 2,
    ACTIONS(337),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(339),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9270] = 2,
    ACTIONS(149),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(151),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9297] = 2,
    ACTIONS(309),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(311),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9324] = 2,
    ACTIONS(255),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(257),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9351] = 2,
    ACTIONS(227),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(229),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9378] = 2,
    ACTIONS(197),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(203),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9405] = 2,
    ACTIONS(341),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(343),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9432] = 2,
    ACTIONS(305),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(307),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9459] = 2,
    ACTIONS(341),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(343),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9486] = 2,
    ACTIONS(353),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(355),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9513] = 2,
    ACTIONS(233),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(235),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9540] = 2,
    ACTIONS(237),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(239),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9567] = 2,
    ACTIONS(157),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(159),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9594] = 2,
    ACTIONS(349),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(351),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9621] = 2,
    ACTIONS(357),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(359),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9648] = 2,
    ACTIONS(289),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(291),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9675] = 2,
    ACTIONS(205),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(207),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9702] = 11,
    ACTIONS(395),
    1,
    ts_builtin_sym_end,
    ACTIONS(400),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(403),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(412),
    1,
    anon_sym_POUND2,
    ACTIONS(415),
    1,
    sym_raw_start,
    STATE(201),
    1,
    aux_sym_words_repeat1,
    ACTIONS(397),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    STATE(188),
    2,
    sym_definition,
    aux_sym_source_repeat1,
    ACTIONS(406),
    3,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    ACTIONS(409),
    3,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    STATE(204),
    6,
    sym_words,
    sym_comment,
    sym_render_expression,
    sym_control,
    sym_raw_block,
    sym_inline,
    [9747] = 2,
    ACTIONS(301),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(303),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9774] = 2,
    ACTIONS(297),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(299),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9801] = 2,
    ACTIONS(317),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(319),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9828] = 2,
    ACTIONS(205),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(207),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9855] = 2,
    ACTIONS(269),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(271),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9882] = 2,
    ACTIONS(217),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(219),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9909] = 2,
    ACTIONS(285),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(287),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9936] = 2,
    ACTIONS(211),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(215),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9963] = 2,
    ACTIONS(345),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(347),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9990] = 2,
    ACTIONS(329),
    4,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_GT,
    anon_sym_LT,
    ACTIONS(331),
    18,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT_EQ,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [10017] = 2,
    ACTIONS(418),
    8,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    sym_dec_literal,
    anon_sym__,
    anon_sym_not,
    sym_identifier,
    ACTIONS(420),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_BANG,
    [10041] = 2,
    ACTIONS(422),
    8,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    sym_dec_literal,
    anon_sym__,
    anon_sym_not,
    sym_identifier,
    ACTIONS(424),
    11,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_BANG,
    [10065] = 4,
    STATE(202),
    1,
    aux_sym_words_repeat1,
    ACTIONS(426),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(428),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    ACTIONS(430),
    9,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10088] = 4,
    STATE(202),
    1,
    aux_sym_words_repeat1,
    ACTIONS(432),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(434),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    ACTIONS(437),
    9,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10111] = 2,
    ACTIONS(439),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(441),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10129] = 2,
    ACTIONS(443),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(445),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10147] = 2,
    ACTIONS(447),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(449),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10165] = 2,
    ACTIONS(451),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(453),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10183] = 2,
    ACTIONS(455),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(457),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10201] = 2,
    ACTIONS(459),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(461),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10219] = 2,
    ACTIONS(463),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(465),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10237] = 2,
    ACTIONS(467),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(469),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10255] = 2,
    ACTIONS(471),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(473),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10273] = 2,
    ACTIONS(475),
    2,
    sym_raw_start,
    ts_builtin_sym_end,
    ACTIONS(477),
    11,
    aux_sym_words_token1,
    aux_sym_words_token2,
    anon_sym_POUND_POUND,
    anon_sym_LBRACE_POUND,
    anon_sym_LBRACE_LBRACE,
    anon_sym_LBRACE_LBRACE_DASH,
    anon_sym_LBRACE_LBRACE_PLUS,
    anon_sym_LBRACE_PERCENT,
    anon_sym_LBRACE_PERCENT_DASH,
    anon_sym_LBRACE_PERCENT_PLUS,
    anon_sym_POUND2,
    [10291] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(215),
    1,
    aux_sym_in_expression_repeat1,
    STATE(231),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(344),
    1,
    sym_import_attribute,
    ACTIONS(487),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10321] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(224),
    1,
    aux_sym_in_expression_repeat1,
    STATE(234),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(350),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10351] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(224),
    1,
    aux_sym_in_expression_repeat1,
    STATE(238),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(326),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10381] = 9,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(214),
    1,
    aux_sym_in_expression_repeat1,
    STATE(238),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(326),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10411] = 6,
    ACTIONS(493),
    1,
    anon_sym_with,
    ACTIONS(496),
    1,
    anon_sym_ignore,
    ACTIONS(499),
    1,
    anon_sym_without,
    STATE(217),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(502),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10434] = 6,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    ACTIONS(504),
    1,
    anon_sym_ignore,
    STATE(217),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(506),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10457] = 6,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    ACTIONS(504),
    1,
    anon_sym_ignore,
    STATE(218),
    2,
    sym_include_attribute,
    aux_sym_include_statement_repeat1,
    STATE(246),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    ACTIONS(508),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10480] = 4,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(514),
    1,
    anon_sym_else,
    ACTIONS(516),
    7,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10499] = 7,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(231),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(344),
    1,
    sym_import_attribute,
    ACTIONS(487),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10523] = 7,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(483),
    1,
    anon_sym_as,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(238),
    1,
    sym_import_as,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(326),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10547] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(518),
    7,
    anon_sym_recursive,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10563] = 4,
    ACTIONS(520),
    1,
    anon_sym_COMMA,
    ACTIONS(525),
    1,
    anon_sym_with,
    STATE(224),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(523),
    6,
    anon_sym_in,
    anon_sym_as,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10581] = 2,
    ACTIONS(525),
    1,
    anon_sym_with,
    ACTIONS(523),
    7,
    anon_sym_COMMA,
    anon_sym_in,
    anon_sym_as,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10594] = 1,
    ACTIONS(327),
    8,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10605] = 1,
    ACTIONS(351),
    8,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10616] = 6,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(527),
    1,
    anon_sym_LPAREN,
    ACTIONS(529),
    1,
    sym_identifier,
    STATE(219),
    3,
    sym_list_literal,
    sym_tuple_literal,
    sym_string_literal,
    [10637] = 6,
    ACTIONS(531),
    1,
    anon_sym_DOT,
    ACTIONS(533),
    1,
    anon_sym_COMMA,
    ACTIONS(535),
    1,
    anon_sym_EQ,
    STATE(274),
    1,
    aux_sym_trans_statement_repeat1,
    STATE(351),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(537),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10658] = 4,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(539),
    1,
    anon_sym_with,
    STATE(224),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(541),
    4,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10674] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(326),
    1,
    sym_import_attribute,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10692] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(543),
    1,
    anon_sym_if,
    STATE(347),
    1,
    sym_ternary_expression,
    ACTIONS(545),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10710] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(547),
    5,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10724] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(340),
    1,
    sym_import_attribute,
    ACTIONS(549),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10742] = 4,
    ACTIONS(531),
    1,
    anon_sym_DOT,
    ACTIONS(535),
    1,
    anon_sym_EQ,
    STATE(351),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(551),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10758] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(543),
    1,
    anon_sym_if,
    STATE(357),
    1,
    sym_ternary_expression,
    ACTIONS(553),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10776] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(543),
    1,
    anon_sym_if,
    STATE(325),
    1,
    sym_ternary_expression,
    ACTIONS(555),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    [10794] = 5,
    ACTIONS(481),
    1,
    anon_sym_with,
    ACTIONS(485),
    1,
    anon_sym_without,
    STATE(305),
    1,
    sym_attribute_context,
    STATE(350),
    1,
    sym_import_attribute,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10812] = 4,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(557),
    1,
    anon_sym_with,
    STATE(230),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(559),
    4,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10828] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(561),
    5,
    anon_sym_if,
    anon_sym_recursive,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10842] = 2,
    ACTIONS(563),
    1,
    anon_sym_with,
    ACTIONS(565),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10853] = 3,
    ACTIONS(567),
    1,
    sym_identifier,
    STATE(247),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(569),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10866] = 2,
    ACTIONS(571),
    1,
    anon_sym_with,
    ACTIONS(573),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10877] = 4,
    ACTIONS(543),
    1,
    anon_sym_if,
    ACTIONS(575),
    1,
    anon_sym_recursive,
    STATE(281),
    1,
    sym_ternary_expression,
    ACTIONS(577),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10892] = 3,
    ACTIONS(579),
    1,
    anon_sym_DOT,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(583),
    4,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10905] = 2,
    ACTIONS(585),
    1,
    anon_sym_with,
    ACTIONS(587),
    5,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10916] = 3,
    ACTIONS(567),
    1,
    sym_identifier,
    STATE(250),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(589),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10929] = 3,
    STATE(323),
    1,
    sym_boolean_literal,
    ACTIONS(591),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(593),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10942] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(583),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10955] = 3,
    ACTIONS(595),
    1,
    sym_identifier,
    STATE(250),
    2,
    sym_assignment_expression,
    aux_sym_with_statement_repeat1,
    ACTIONS(598),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10968] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(600),
    4,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [10981] = 3,
    ACTIONS(579),
    1,
    anon_sym_DOT,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(602),
    4,
    sym_identifier,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [10994] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(602),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11007] = 3,
    ACTIONS(604),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(551),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11019] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(607),
    1,
    anon_sym_COMMA,
    ACTIONS(609),
    1,
    anon_sym_RPAREN,
    STATE(358),
    1,
    aux_sym_list_literal_repeat1,
    [11035] = 3,
    ACTIONS(611),
    1,
    sym_dec_literal,
    STATE(176),
    1,
    sym_big_dec_literal,
    ACTIONS(613),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11047] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(615),
    1,
    anon_sym_COMMA,
    ACTIONS(617),
    1,
    anon_sym_RBRACK,
    STATE(310),
    1,
    aux_sym_list_literal_repeat1,
    [11063] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(619),
    1,
    anon_sym_COMMA,
    ACTIONS(621),
    1,
    anon_sym_RPAREN,
    STATE(309),
    1,
    aux_sym_list_literal_repeat1,
    [11079] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(619),
    1,
    anon_sym_COMMA,
    ACTIONS(623),
    1,
    anon_sym_RPAREN,
    STATE(309),
    1,
    aux_sym_list_literal_repeat1,
    [11095] = 3,
    ACTIONS(533),
    1,
    anon_sym_COMMA,
    STATE(274),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(537),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11107] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(625),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11119] = 5,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(627),
    1,
    anon_sym_DOT,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(631),
    1,
    anon_sym_RBRACE,
    STATE(320),
    1,
    aux_sym_dict_literal_repeat1,
    [11135] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(633),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11147] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(635),
    1,
    anon_sym_COMMA,
    ACTIONS(637),
    1,
    anon_sym_EQ,
    STATE(336),
    1,
    aux_sym_list_literal_repeat1,
    [11163] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(639),
    1,
    anon_sym_COMMA,
    ACTIONS(641),
    1,
    anon_sym_RBRACK,
    STATE(356),
    1,
    aux_sym_list_literal_repeat1,
    [11179] = 5,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(627),
    1,
    anon_sym_DOT,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(643),
    1,
    anon_sym_RBRACE,
    STATE(330),
    1,
    aux_sym_dict_literal_repeat1,
    [11195] = 3,
    ACTIONS(645),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    ACTIONS(600),
    3,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [11207] = 3,
    ACTIONS(648),
    1,
    sym_identifier,
    STATE(260),
    1,
    sym_assignment_expression,
    ACTIONS(650),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11219] = 3,
    ACTIONS(543),
    1,
    anon_sym_if,
    STATE(352),
    1,
    sym_ternary_expression,
    ACTIONS(652),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11231] = 5,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(627),
    1,
    anon_sym_DOT,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(654),
    1,
    anon_sym_RBRACE,
    STATE(353),
    1,
    aux_sym_dict_literal_repeat1,
    [11247] = 3,
    ACTIONS(656),
    1,
    sym_dec_literal,
    STATE(130),
    1,
    sym_big_dec_literal,
    ACTIONS(658),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11259] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(660),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11271] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(662),
    1,
    anon_sym_COMMA,
    ACTIONS(664),
    1,
    anon_sym_RBRACK,
    STATE(338),
    1,
    aux_sym_list_literal_repeat1,
    [11287] = 3,
    ACTIONS(533),
    1,
    anon_sym_COMMA,
    STATE(254),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(666),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11299] = 5,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(668),
    1,
    anon_sym_COMMA,
    ACTIONS(670),
    1,
    anon_sym_RPAREN,
    STATE(335),
    1,
    aux_sym_list_literal_repeat1,
    [11315] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(672),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11327] = 3,
    ACTIONS(674),
    1,
    sym_dec_literal,
    STATE(107),
    1,
    sym_big_dec_literal,
    ACTIONS(676),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [11339] = 3,
    ACTIONS(678),
    1,
    anon_sym_DQUOTE,
    STATE(286),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11350] = 1,
    ACTIONS(551),
    4,
    anon_sym_COMMA,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11357] = 4,
    ACTIONS(682),
    1,
    aux_sym_comment_token3,
    ACTIONS(684),
    1,
    anon_sym_POUND,
    ACTIONS(686),
    1,
    anon_sym_POUND_RBRACE,
    STATE(282),
    1,
    aux_sym_comment_repeat1,
    [11370] = 2,
    ACTIONS(688),
    1,
    anon_sym_recursive,
    ACTIONS(690),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11379] = 4,
    ACTIONS(692),
    1,
    aux_sym_comment_token3,
    ACTIONS(694),
    1,
    anon_sym_POUND,
    ACTIONS(696),
    1,
    anon_sym_POUND_RBRACE,
    STATE(297),
    1,
    aux_sym_comment_repeat1,
    [11392] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(698),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [11403] = 3,
    ACTIONS(700),
    1,
    anon_sym_DQUOTE,
    STATE(278),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(702),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11414] = 3,
    ACTIONS(704),
    1,
    anon_sym_SQUOTE,
    STATE(301),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(706),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11425] = 3,
    ACTIONS(708),
    1,
    anon_sym_DQUOTE,
    STATE(286),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(710),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11436] = 3,
    ACTIONS(704),
    1,
    anon_sym_DQUOTE,
    STATE(286),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11447] = 3,
    ACTIONS(713),
    1,
    anon_sym_SQUOTE,
    STATE(285),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(715),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11458] = 3,
    ACTIONS(713),
    1,
    anon_sym_DQUOTE,
    STATE(287),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(717),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11469] = 3,
    ACTIONS(700),
    1,
    anon_sym_SQUOTE,
    STATE(298),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(719),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11480] = 2,
    ACTIONS(721),
    1,
    sym_identifier,
    ACTIONS(723),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11489] = 4,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(725),
    1,
    sym_identifier,
    STATE(269),
    1,
    sym_string_literal,
    [11502] = 3,
    ACTIONS(727),
    1,
    anon_sym_SQUOTE,
    STATE(301),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(706),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11513] = 3,
    ACTIONS(727),
    1,
    anon_sym_DQUOTE,
    STATE(286),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(680),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11524] = 3,
    ACTIONS(729),
    1,
    anon_sym_SQUOTE,
    STATE(293),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(731),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11535] = 3,
    ACTIONS(729),
    1,
    anon_sym_DQUOTE,
    STATE(294),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(733),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [11546] = 4,
    ACTIONS(735),
    1,
    aux_sym_comment_token3,
    ACTIONS(738),
    1,
    anon_sym_POUND,
    ACTIONS(741),
    1,
    anon_sym_POUND_RBRACE,
    STATE(297),
    1,
    aux_sym_comment_repeat1,
    [11559] = 3,
    ACTIONS(678),
    1,
    anon_sym_SQUOTE,
    STATE(301),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(706),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11570] = 3,
    ACTIONS(581),
    1,
    anon_sym_LBRACK,
    ACTIONS(627),
    1,
    anon_sym_DOT,
    ACTIONS(743),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [11581] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(745),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [11592] = 3,
    ACTIONS(747),
    1,
    anon_sym_SQUOTE,
    STATE(301),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(749),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [11603] = 4,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(752),
    1,
    sym_identifier,
    STATE(222),
    1,
    sym_string_literal,
    [11616] = 4,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    ACTIONS(754),
    1,
    sym_identifier,
    STATE(221),
    1,
    sym_string_literal,
    [11629] = 1,
    ACTIONS(756),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11635] = 1,
    ACTIONS(758),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11641] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(760),
    1,
    anon_sym_RBRACK,
    [11651] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(764),
    1,
    anon_sym_RPAREN,
    STATE(342),
    1,
    aux_sym_function_call_repeat1,
    [11661] = 3,
    ACTIONS(766),
    1,
    sym__raw_char,
    ACTIONS(768),
    1,
    sym_raw_end,
    STATE(317),
    1,
    aux_sym_raw_block_repeat1,
    [11671] = 3,
    ACTIONS(225),
    1,
    anon_sym_RPAREN,
    ACTIONS(770),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [11681] = 3,
    ACTIONS(259),
    1,
    anon_sym_RBRACK,
    ACTIONS(772),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [11691] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(774),
    1,
    anon_sym_RPAREN,
    [11701] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(776),
    1,
    anon_sym_COLON,
    [11711] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(778),
    1,
    anon_sym_COLON,
    [11721] = 3,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(780),
    1,
    anon_sym_in,
    STATE(331),
    1,
    aux_sym_in_expression_repeat1,
    [11731] = 1,
    ACTIONS(690),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11737] = 3,
    ACTIONS(531),
    1,
    anon_sym_DOT,
    ACTIONS(782),
    1,
    anon_sym_EQ,
    STATE(362),
    1,
    aux_sym_assignment_expression_repeat1,
    [11747] = 3,
    ACTIONS(766),
    1,
    sym__raw_char,
    ACTIONS(784),
    1,
    sym_raw_end,
    STATE(334),
    1,
    aux_sym_raw_block_repeat1,
    [11757] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(786),
    1,
    anon_sym_RBRACK,
    [11767] = 1,
    ACTIONS(788),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11773] = 3,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(790),
    1,
    anon_sym_RBRACE,
    STATE(349),
    1,
    aux_sym_dict_literal_repeat1,
    [11783] = 1,
    ACTIONS(792),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11789] = 1,
    ACTIONS(794),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11795] = 1,
    ACTIONS(796),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11801] = 1,
    ACTIONS(798),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11807] = 1,
    ACTIONS(800),
    3,
    anon_sym_RBRACE_RBRACE,
    anon_sym_DASH_RBRACE_RBRACE,
    anon_sym_PLUS_RBRACE_RBRACE,
    [11813] = 1,
    ACTIONS(489),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11819] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(802),
    1,
    anon_sym_COLON,
    [11829] = 3,
    ACTIONS(804),
    1,
    anon_sym_DOT,
    ACTIONS(807),
    1,
    anon_sym_EQ,
    STATE(328),
    1,
    aux_sym_assignment_expression_repeat1,
    [11839] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(809),
    1,
    anon_sym_RPAREN,
    STATE(345),
    1,
    aux_sym_function_call_repeat1,
    [11849] = 3,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(811),
    1,
    anon_sym_RBRACE,
    STATE(349),
    1,
    aux_sym_dict_literal_repeat1,
    [11859] = 3,
    ACTIONS(479),
    1,
    anon_sym_COMMA,
    ACTIONS(813),
    1,
    anon_sym_in,
    STATE(224),
    1,
    aux_sym_in_expression_repeat1,
    [11869] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(815),
    1,
    anon_sym_RBRACK,
    [11879] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(817),
    1,
    anon_sym_RPAREN,
    STATE(329),
    1,
    aux_sym_function_call_repeat1,
    [11889] = 3,
    ACTIONS(819),
    1,
    sym__raw_char,
    ACTIONS(822),
    1,
    sym_raw_end,
    STATE(334),
    1,
    aux_sym_raw_block_repeat1,
    [11899] = 3,
    ACTIONS(195),
    1,
    anon_sym_RPAREN,
    ACTIONS(824),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [11909] = 3,
    ACTIONS(635),
    1,
    anon_sym_COMMA,
    ACTIONS(826),
    1,
    anon_sym_EQ,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [11919] = 1,
    ACTIONS(828),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11925] = 3,
    ACTIONS(209),
    1,
    anon_sym_RBRACK,
    ACTIONS(830),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [11935] = 3,
    ACTIONS(37),
    1,
    anon_sym_DQUOTE,
    ACTIONS(39),
    1,
    anon_sym_SQUOTE,
    STATE(401),
    1,
    sym_string_literal,
    [11945] = 1,
    ACTIONS(832),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11951] = 3,
    ACTIONS(834),
    1,
    anon_sym_LPAREN,
    ACTIONS(836),
    1,
    sym_identifier,
    STATE(304),
    1,
    sym_function_call,
    [11961] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(838),
    1,
    anon_sym_RPAREN,
    STATE(345),
    1,
    aux_sym_function_call_repeat1,
    [11971] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(840),
    1,
    anon_sym_RPAREN,
    [11981] = 1,
    ACTIONS(491),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [11987] = 3,
    ACTIONS(842),
    1,
    anon_sym_COMMA,
    ACTIONS(845),
    1,
    anon_sym_RPAREN,
    STATE(345),
    1,
    aux_sym_function_call_repeat1,
    [11997] = 1,
    ACTIONS(847),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12003] = 1,
    ACTIONS(849),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12009] = 1,
    ACTIONS(851),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12015] = 3,
    ACTIONS(853),
    1,
    anon_sym_COMMA,
    ACTIONS(856),
    1,
    anon_sym_RBRACE,
    STATE(349),
    1,
    aux_sym_dict_literal_repeat1,
    [12025] = 1,
    ACTIONS(549),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12031] = 3,
    ACTIONS(531),
    1,
    anon_sym_DOT,
    ACTIONS(858),
    1,
    anon_sym_EQ,
    STATE(328),
    1,
    aux_sym_assignment_expression_repeat1,
    [12041] = 1,
    ACTIONS(860),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12047] = 3,
    ACTIONS(629),
    1,
    anon_sym_COMMA,
    ACTIONS(862),
    1,
    anon_sym_RBRACE,
    STATE(349),
    1,
    aux_sym_dict_literal_repeat1,
    [12057] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(864),
    1,
    anon_sym_RPAREN,
    [12067] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(866),
    1,
    anon_sym_RPAREN,
    STATE(345),
    1,
    aux_sym_function_call_repeat1,
    [12077] = 3,
    ACTIONS(267),
    1,
    anon_sym_RBRACK,
    ACTIONS(868),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [12087] = 1,
    ACTIONS(545),
    3,
    anon_sym_DASH_PERCENT_RBRACE,
    anon_sym_PERCENT_RBRACE,
    anon_sym_PLUS_PERCENT_RBRACE,
    [12093] = 3,
    ACTIONS(265),
    1,
    anon_sym_RPAREN,
    ACTIONS(870),
    1,
    anon_sym_COMMA,
    STATE(267),
    1,
    aux_sym_list_literal_repeat1,
    [12103] = 3,
    ACTIONS(762),
    1,
    anon_sym_COMMA,
    ACTIONS(872),
    1,
    anon_sym_RPAREN,
    STATE(355),
    1,
    aux_sym_function_call_repeat1,
    [12113] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(874),
    1,
    anon_sym_RBRACK,
    [12123] = 3,
    ACTIONS(510),
    1,
    anon_sym_DOT,
    ACTIONS(512),
    1,
    anon_sym_LBRACK,
    ACTIONS(876),
    1,
    anon_sym_COLON,
    [12133] = 3,
    ACTIONS(531),
    1,
    anon_sym_DOT,
    ACTIONS(878),
    1,
    anon_sym_EQ,
    STATE(328),
    1,
    aux_sym_assignment_expression_repeat1,
    [12143] = 1,
    ACTIONS(845),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [12148] = 2,
    ACTIONS(95),
    1,
    anon_sym_LBRACK,
    STATE(179),
    1,
    sym_list_literal,
    [12155] = 1,
    ACTIONS(880),
    2,
    sym__raw_char,
    sym_raw_end,
    [12160] = 2,
    ACTIONS(836),
    1,
    sym_identifier,
    STATE(319),
    1,
    sym_function_call,
    [12167] = 1,
    ACTIONS(807),
    2,
    anon_sym_DOT,
    anon_sym_EQ,
    [12172] = 2,
    ACTIONS(882),
    1,
    sym_identifier,
    STATE(279),
    1,
    sym_assignment_expression,
    [12179] = 2,
    ACTIONS(836),
    1,
    sym_identifier,
    STATE(348),
    1,
    sym_function_call,
    [12186] = 2,
    ACTIONS(65),
    1,
    anon_sym_LBRACK,
    STATE(123),
    1,
    sym_list_literal,
    [12193] = 2,
    ACTIONS(884),
    1,
    sym_dec_literal,
    ACTIONS(886),
    1,
    anon_sym__,
    [12200] = 2,
    ACTIONS(888),
    1,
    sym_identifier,
    STATE(244),
    1,
    sym_in_expression,
    [12207] = 2,
    ACTIONS(890),
    1,
    sym_dec_literal,
    ACTIONS(892),
    1,
    anon_sym__,
    [12214] = 2,
    ACTIONS(894),
    1,
    sym_dec_literal,
    ACTIONS(896),
    1,
    anon_sym__,
    [12221] = 2,
    ACTIONS(31),
    1,
    anon_sym_LBRACK,
    STATE(101),
    1,
    sym_list_literal,
    [12228] = 1,
    ACTIONS(898),
    1,
    anon_sym_LPAREN,
    [12232] = 1,
    ACTIONS(900),
    1,
    sym_identifier,
    [12236] = 1,
    ACTIONS(902),
    1,
    sym_dec_literal,
    [12240] = 1,
    ACTIONS(664),
    1,
    anon_sym_RBRACK,
    [12244] = 1,
    ACTIONS(904),
    1,
    sym_dec_literal,
    [12248] = 1,
    ACTIONS(906),
    1,
    anon_sym_RPAREN,
    [12252] = 1,
    ACTIONS(908),
    1,
    anon_sym_missing,
    [12256] = 1,
    ACTIONS(910),
    1,
    sym_dec_literal,
    [12260] = 1,
    ACTIONS(912),
    1,
    sym_identifier,
    [12264] = 1,
    ACTIONS(914),
    1,
    anon_sym_RPAREN,
    [12268] = 1,
    ACTIONS(916),
    1,
    sym_identifier,
    [12272] = 1,
    ACTIONS(918),
    1,
    anon_sym_import,
    [12276] = 1,
    ACTIONS(920),
    1,
    sym__inline_words,
    [12280] = 1,
    ACTIONS(922),
    1,
    anon_sym_context,
    [12284] = 1,
    ACTIONS(924),
    1,
    sym_dec_literal,
    [12288] = 1,
    ACTIONS(926),
    1,
    sym_identifier,
    [12292] = 1,
    ACTIONS(617),
    1,
    anon_sym_RBRACK,
    [12296] = 1,
    ACTIONS(928),
    1,
    aux_sym_comment_token2,
    [12300] = 1,
    ACTIONS(641),
    1,
    anon_sym_RBRACK,
    [12304] = 1,
    ACTIONS(621),
    1,
    anon_sym_RPAREN,
    [12308] = 1,
    ACTIONS(273),
    1,
    anon_sym_LPAREN,
    [12312] = 1,
    ACTIONS(930),
    1,
    sym_identifier,
    [12316] = 1,
    ACTIONS(932),
    1,
    anon_sym_RPAREN,
    [12320] = 1,
    ACTIONS(934),
    1,
    sym_dec_literal,
    [12324] = 1,
    ACTIONS(936),
    1,
    ts_builtin_sym_end,
    [12328] = 1,
    ACTIONS(938),
    1,
    anon_sym_import,
    [12332] = 1,
    ACTIONS(940),
    1,
    aux_sym_comment_token1,
    [12336] = 1,
    ACTIONS(942),
    1,
    anon_sym_LPAREN,
    [12340] = 1,
    ACTIONS(944),
    1,
    aux_sym_comment_token2,
    [12344] = 1,
    ACTIONS(946),
    1,
    anon_sym_LPAREN,
    [12348] = 1,
    ACTIONS(948),
    1,
    sym_dec_literal,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(2)] = 0,
    [SMALL_STATE(3)] = 109,
    [SMALL_STATE(4)] = 218,
    [SMALL_STATE(5)] = 327,
    [SMALL_STATE(6)] = 418,
    [SMALL_STATE(7)] = 462,
    [SMALL_STATE(8)] = 548,
    [SMALL_STATE(9)] = 592,
    [SMALL_STATE(10)] = 679,
    [SMALL_STATE(11)] = 766,
    [SMALL_STATE(12)] = 853,
    [SMALL_STATE(13)] = 940,
    [SMALL_STATE(14)] = 1027,
    [SMALL_STATE(15)] = 1114,
    [SMALL_STATE(16)] = 1201,
    [SMALL_STATE(17)] = 1288,
    [SMALL_STATE(18)] = 1375,
    [SMALL_STATE(19)] = 1462,
    [SMALL_STATE(20)] = 1546,
    [SMALL_STATE(21)] = 1630,
    [SMALL_STATE(22)] = 1714,
    [SMALL_STATE(23)] = 1760,
    [SMALL_STATE(24)] = 1802,
    [SMALL_STATE(25)] = 1886,
    [SMALL_STATE(26)] = 1934,
    [SMALL_STATE(27)] = 1976,
    [SMALL_STATE(28)] = 2060,
    [SMALL_STATE(29)] = 2144,
    [SMALL_STATE(30)] = 2228,
    [SMALL_STATE(31)] = 2270,
    [SMALL_STATE(32)] = 2354,
    [SMALL_STATE(33)] = 2396,
    [SMALL_STATE(34)] = 2438,
    [SMALL_STATE(35)] = 2522,
    [SMALL_STATE(36)] = 2606,
    [SMALL_STATE(37)] = 2648,
    [SMALL_STATE(38)] = 2732,
    [SMALL_STATE(39)] = 2774,
    [SMALL_STATE(40)] = 2816,
    [SMALL_STATE(41)] = 2900,
    [SMALL_STATE(42)] = 2984,
    [SMALL_STATE(43)] = 3068,
    [SMALL_STATE(44)] = 3152,
    [SMALL_STATE(45)] = 3236,
    [SMALL_STATE(46)] = 3317,
    [SMALL_STATE(47)] = 3398,
    [SMALL_STATE(48)] = 3479,
    [SMALL_STATE(49)] = 3560,
    [SMALL_STATE(50)] = 3641,
    [SMALL_STATE(51)] = 3722,
    [SMALL_STATE(52)] = 3803,
    [SMALL_STATE(53)] = 3884,
    [SMALL_STATE(54)] = 3965,
    [SMALL_STATE(55)] = 4046,
    [SMALL_STATE(56)] = 4127,
    [SMALL_STATE(57)] = 4208,
    [SMALL_STATE(58)] = 4289,
    [SMALL_STATE(59)] = 4370,
    [SMALL_STATE(60)] = 4451,
    [SMALL_STATE(61)] = 4532,
    [SMALL_STATE(62)] = 4613,
    [SMALL_STATE(63)] = 4694,
    [SMALL_STATE(64)] = 4775,
    [SMALL_STATE(65)] = 4856,
    [SMALL_STATE(66)] = 4937,
    [SMALL_STATE(67)] = 5018,
    [SMALL_STATE(68)] = 5099,
    [SMALL_STATE(69)] = 5180,
    [SMALL_STATE(70)] = 5261,
    [SMALL_STATE(71)] = 5342,
    [SMALL_STATE(72)] = 5423,
    [SMALL_STATE(73)] = 5504,
    [SMALL_STATE(74)] = 5585,
    [SMALL_STATE(75)] = 5666,
    [SMALL_STATE(76)] = 5747,
    [SMALL_STATE(77)] = 5828,
    [SMALL_STATE(78)] = 5909,
    [SMALL_STATE(79)] = 5951,
    [SMALL_STATE(80)] = 5993,
    [SMALL_STATE(81)] = 6041,
    [SMALL_STATE(82)] = 6080,
    [SMALL_STATE(83)] = 6119,
    [SMALL_STATE(84)] = 6158,
    [SMALL_STATE(85)] = 6197,
    [SMALL_STATE(86)] = 6236,
    [SMALL_STATE(87)] = 6275,
    [SMALL_STATE(88)] = 6314,
    [SMALL_STATE(89)] = 6389,
    [SMALL_STATE(90)] = 6428,
    [SMALL_STATE(91)] = 6467,
    [SMALL_STATE(92)] = 6506,
    [SMALL_STATE(93)] = 6545,
    [SMALL_STATE(94)] = 6620,
    [SMALL_STATE(95)] = 6695,
    [SMALL_STATE(96)] = 6734,
    [SMALL_STATE(97)] = 6773,
    [SMALL_STATE(98)] = 6812,
    [SMALL_STATE(99)] = 6851,
    [SMALL_STATE(100)] = 6890,
    [SMALL_STATE(101)] = 6929,
    [SMALL_STATE(102)] = 6968,
    [SMALL_STATE(103)] = 7007,
    [SMALL_STATE(104)] = 7046,
    [SMALL_STATE(105)] = 7085,
    [SMALL_STATE(106)] = 7160,
    [SMALL_STATE(107)] = 7199,
    [SMALL_STATE(108)] = 7238,
    [SMALL_STATE(109)] = 7313,
    [SMALL_STATE(110)] = 7352,
    [SMALL_STATE(111)] = 7391,
    [SMALL_STATE(112)] = 7466,
    [SMALL_STATE(113)] = 7505,
    [SMALL_STATE(114)] = 7538,
    [SMALL_STATE(115)] = 7576,
    [SMALL_STATE(116)] = 7612,
    [SMALL_STATE(117)] = 7648,
    [SMALL_STATE(118)] = 7680,
    [SMALL_STATE(119)] = 7718,
    [SMALL_STATE(120)] = 7750,
    [SMALL_STATE(121)] = 7784,
    [SMALL_STATE(122)] = 7813,
    [SMALL_STATE(123)] = 7842,
    [SMALL_STATE(124)] = 7871,
    [SMALL_STATE(125)] = 7900,
    [SMALL_STATE(126)] = 7929,
    [SMALL_STATE(127)] = 7958,
    [SMALL_STATE(128)] = 7987,
    [SMALL_STATE(129)] = 8016,
    [SMALL_STATE(130)] = 8045,
    [SMALL_STATE(131)] = 8074,
    [SMALL_STATE(132)] = 8103,
    [SMALL_STATE(133)] = 8132,
    [SMALL_STATE(134)] = 8161,
    [SMALL_STATE(135)] = 8190,
    [SMALL_STATE(136)] = 8219,
    [SMALL_STATE(137)] = 8252,
    [SMALL_STATE(138)] = 8281,
    [SMALL_STATE(139)] = 8310,
    [SMALL_STATE(140)] = 8339,
    [SMALL_STATE(141)] = 8368,
    [SMALL_STATE(142)] = 8397,
    [SMALL_STATE(143)] = 8426,
    [SMALL_STATE(144)] = 8455,
    [SMALL_STATE(145)] = 8484,
    [SMALL_STATE(146)] = 8513,
    [SMALL_STATE(147)] = 8542,
    [SMALL_STATE(148)] = 8571,
    [SMALL_STATE(149)] = 8600,
    [SMALL_STATE(150)] = 8629,
    [SMALL_STATE(151)] = 8658,
    [SMALL_STATE(152)] = 8687,
    [SMALL_STATE(153)] = 8716,
    [SMALL_STATE(154)] = 8745,
    [SMALL_STATE(155)] = 8774,
    [SMALL_STATE(156)] = 8803,
    [SMALL_STATE(157)] = 8832,
    [SMALL_STATE(158)] = 8861,
    [SMALL_STATE(159)] = 8891,
    [SMALL_STATE(160)] = 8925,
    [SMALL_STATE(161)] = 8955,
    [SMALL_STATE(162)] = 8982,
    [SMALL_STATE(163)] = 9009,
    [SMALL_STATE(164)] = 9036,
    [SMALL_STATE(165)] = 9063,
    [SMALL_STATE(166)] = 9090,
    [SMALL_STATE(167)] = 9117,
    [SMALL_STATE(168)] = 9144,
    [SMALL_STATE(169)] = 9189,
    [SMALL_STATE(170)] = 9216,
    [SMALL_STATE(171)] = 9243,
    [SMALL_STATE(172)] = 9270,
    [SMALL_STATE(173)] = 9297,
    [SMALL_STATE(174)] = 9324,
    [SMALL_STATE(175)] = 9351,
    [SMALL_STATE(176)] = 9378,
    [SMALL_STATE(177)] = 9405,
    [SMALL_STATE(178)] = 9432,
    [SMALL_STATE(179)] = 9459,
    [SMALL_STATE(180)] = 9486,
    [SMALL_STATE(181)] = 9513,
    [SMALL_STATE(182)] = 9540,
    [SMALL_STATE(183)] = 9567,
    [SMALL_STATE(184)] = 9594,
    [SMALL_STATE(185)] = 9621,
    [SMALL_STATE(186)] = 9648,
    [SMALL_STATE(187)] = 9675,
    [SMALL_STATE(188)] = 9702,
    [SMALL_STATE(189)] = 9747,
    [SMALL_STATE(190)] = 9774,
    [SMALL_STATE(191)] = 9801,
    [SMALL_STATE(192)] = 9828,
    [SMALL_STATE(193)] = 9855,
    [SMALL_STATE(194)] = 9882,
    [SMALL_STATE(195)] = 9909,
    [SMALL_STATE(196)] = 9936,
    [SMALL_STATE(197)] = 9963,
    [SMALL_STATE(198)] = 9990,
    [SMALL_STATE(199)] = 10017,
    [SMALL_STATE(200)] = 10041,
    [SMALL_STATE(201)] = 10065,
    [SMALL_STATE(202)] = 10088,
    [SMALL_STATE(203)] = 10111,
    [SMALL_STATE(204)] = 10129,
    [SMALL_STATE(205)] = 10147,
    [SMALL_STATE(206)] = 10165,
    [SMALL_STATE(207)] = 10183,
    [SMALL_STATE(208)] = 10201,
    [SMALL_STATE(209)] = 10219,
    [SMALL_STATE(210)] = 10237,
    [SMALL_STATE(211)] = 10255,
    [SMALL_STATE(212)] = 10273,
    [SMALL_STATE(213)] = 10291,
    [SMALL_STATE(214)] = 10321,
    [SMALL_STATE(215)] = 10351,
    [SMALL_STATE(216)] = 10381,
    [SMALL_STATE(217)] = 10411,
    [SMALL_STATE(218)] = 10434,
    [SMALL_STATE(219)] = 10457,
    [SMALL_STATE(220)] = 10480,
    [SMALL_STATE(221)] = 10499,
    [SMALL_STATE(222)] = 10523,
    [SMALL_STATE(223)] = 10547,
    [SMALL_STATE(224)] = 10563,
    [SMALL_STATE(225)] = 10581,
    [SMALL_STATE(226)] = 10594,
    [SMALL_STATE(227)] = 10605,
    [SMALL_STATE(228)] = 10616,
    [SMALL_STATE(229)] = 10637,
    [SMALL_STATE(230)] = 10658,
    [SMALL_STATE(231)] = 10674,
    [SMALL_STATE(232)] = 10692,
    [SMALL_STATE(233)] = 10710,
    [SMALL_STATE(234)] = 10724,
    [SMALL_STATE(235)] = 10742,
    [SMALL_STATE(236)] = 10758,
    [SMALL_STATE(237)] = 10776,
    [SMALL_STATE(238)] = 10794,
    [SMALL_STATE(239)] = 10812,
    [SMALL_STATE(240)] = 10828,
    [SMALL_STATE(241)] = 10842,
    [SMALL_STATE(242)] = 10853,
    [SMALL_STATE(243)] = 10866,
    [SMALL_STATE(244)] = 10877,
    [SMALL_STATE(245)] = 10892,
    [SMALL_STATE(246)] = 10905,
    [SMALL_STATE(247)] = 10916,
    [SMALL_STATE(248)] = 10929,
    [SMALL_STATE(249)] = 10942,
    [SMALL_STATE(250)] = 10955,
    [SMALL_STATE(251)] = 10968,
    [SMALL_STATE(252)] = 10981,
    [SMALL_STATE(253)] = 10994,
    [SMALL_STATE(254)] = 11007,
    [SMALL_STATE(255)] = 11019,
    [SMALL_STATE(256)] = 11035,
    [SMALL_STATE(257)] = 11047,
    [SMALL_STATE(258)] = 11063,
    [SMALL_STATE(259)] = 11079,
    [SMALL_STATE(260)] = 11095,
    [SMALL_STATE(261)] = 11107,
    [SMALL_STATE(262)] = 11119,
    [SMALL_STATE(263)] = 11135,
    [SMALL_STATE(264)] = 11147,
    [SMALL_STATE(265)] = 11163,
    [SMALL_STATE(266)] = 11179,
    [SMALL_STATE(267)] = 11195,
    [SMALL_STATE(268)] = 11207,
    [SMALL_STATE(269)] = 11219,
    [SMALL_STATE(270)] = 11231,
    [SMALL_STATE(271)] = 11247,
    [SMALL_STATE(272)] = 11259,
    [SMALL_STATE(273)] = 11271,
    [SMALL_STATE(274)] = 11287,
    [SMALL_STATE(275)] = 11299,
    [SMALL_STATE(276)] = 11315,
    [SMALL_STATE(277)] = 11327,
    [SMALL_STATE(278)] = 11339,
    [SMALL_STATE(279)] = 11350,
    [SMALL_STATE(280)] = 11357,
    [SMALL_STATE(281)] = 11370,
    [SMALL_STATE(282)] = 11379,
    [SMALL_STATE(283)] = 11392,
    [SMALL_STATE(284)] = 11403,
    [SMALL_STATE(285)] = 11414,
    [SMALL_STATE(286)] = 11425,
    [SMALL_STATE(287)] = 11436,
    [SMALL_STATE(288)] = 11447,
    [SMALL_STATE(289)] = 11458,
    [SMALL_STATE(290)] = 11469,
    [SMALL_STATE(291)] = 11480,
    [SMALL_STATE(292)] = 11489,
    [SMALL_STATE(293)] = 11502,
    [SMALL_STATE(294)] = 11513,
    [SMALL_STATE(295)] = 11524,
    [SMALL_STATE(296)] = 11535,
    [SMALL_STATE(297)] = 11546,
    [SMALL_STATE(298)] = 11559,
    [SMALL_STATE(299)] = 11570,
    [SMALL_STATE(300)] = 11581,
    [SMALL_STATE(301)] = 11592,
    [SMALL_STATE(302)] = 11603,
    [SMALL_STATE(303)] = 11616,
    [SMALL_STATE(304)] = 11629,
    [SMALL_STATE(305)] = 11635,
    [SMALL_STATE(306)] = 11641,
    [SMALL_STATE(307)] = 11651,
    [SMALL_STATE(308)] = 11661,
    [SMALL_STATE(309)] = 11671,
    [SMALL_STATE(310)] = 11681,
    [SMALL_STATE(311)] = 11691,
    [SMALL_STATE(312)] = 11701,
    [SMALL_STATE(313)] = 11711,
    [SMALL_STATE(314)] = 11721,
    [SMALL_STATE(315)] = 11731,
    [SMALL_STATE(316)] = 11737,
    [SMALL_STATE(317)] = 11747,
    [SMALL_STATE(318)] = 11757,
    [SMALL_STATE(319)] = 11767,
    [SMALL_STATE(320)] = 11773,
    [SMALL_STATE(321)] = 11783,
    [SMALL_STATE(322)] = 11789,
    [SMALL_STATE(323)] = 11795,
    [SMALL_STATE(324)] = 11801,
    [SMALL_STATE(325)] = 11807,
    [SMALL_STATE(326)] = 11813,
    [SMALL_STATE(327)] = 11819,
    [SMALL_STATE(328)] = 11829,
    [SMALL_STATE(329)] = 11839,
    [SMALL_STATE(330)] = 11849,
    [SMALL_STATE(331)] = 11859,
    [SMALL_STATE(332)] = 11869,
    [SMALL_STATE(333)] = 11879,
    [SMALL_STATE(334)] = 11889,
    [SMALL_STATE(335)] = 11899,
    [SMALL_STATE(336)] = 11909,
    [SMALL_STATE(337)] = 11919,
    [SMALL_STATE(338)] = 11925,
    [SMALL_STATE(339)] = 11935,
    [SMALL_STATE(340)] = 11945,
    [SMALL_STATE(341)] = 11951,
    [SMALL_STATE(342)] = 11961,
    [SMALL_STATE(343)] = 11971,
    [SMALL_STATE(344)] = 11981,
    [SMALL_STATE(345)] = 11987,
    [SMALL_STATE(346)] = 11997,
    [SMALL_STATE(347)] = 12003,
    [SMALL_STATE(348)] = 12009,
    [SMALL_STATE(349)] = 12015,
    [SMALL_STATE(350)] = 12025,
    [SMALL_STATE(351)] = 12031,
    [SMALL_STATE(352)] = 12041,
    [SMALL_STATE(353)] = 12047,
    [SMALL_STATE(354)] = 12057,
    [SMALL_STATE(355)] = 12067,
    [SMALL_STATE(356)] = 12077,
    [SMALL_STATE(357)] = 12087,
    [SMALL_STATE(358)] = 12093,
    [SMALL_STATE(359)] = 12103,
    [SMALL_STATE(360)] = 12113,
    [SMALL_STATE(361)] = 12123,
    [SMALL_STATE(362)] = 12133,
    [SMALL_STATE(363)] = 12143,
    [SMALL_STATE(364)] = 12148,
    [SMALL_STATE(365)] = 12155,
    [SMALL_STATE(366)] = 12160,
    [SMALL_STATE(367)] = 12167,
    [SMALL_STATE(368)] = 12172,
    [SMALL_STATE(369)] = 12179,
    [SMALL_STATE(370)] = 12186,
    [SMALL_STATE(371)] = 12193,
    [SMALL_STATE(372)] = 12200,
    [SMALL_STATE(373)] = 12207,
    [SMALL_STATE(374)] = 12214,
    [SMALL_STATE(375)] = 12221,
    [SMALL_STATE(376)] = 12228,
    [SMALL_STATE(377)] = 12232,
    [SMALL_STATE(378)] = 12236,
    [SMALL_STATE(379)] = 12240,
    [SMALL_STATE(380)] = 12244,
    [SMALL_STATE(381)] = 12248,
    [SMALL_STATE(382)] = 12252,
    [SMALL_STATE(383)] = 12256,
    [SMALL_STATE(384)] = 12260,
    [SMALL_STATE(385)] = 12264,
    [SMALL_STATE(386)] = 12268,
    [SMALL_STATE(387)] = 12272,
    [SMALL_STATE(388)] = 12276,
    [SMALL_STATE(389)] = 12280,
    [SMALL_STATE(390)] = 12284,
    [SMALL_STATE(391)] = 12288,
    [SMALL_STATE(392)] = 12292,
    [SMALL_STATE(393)] = 12296,
    [SMALL_STATE(394)] = 12300,
    [SMALL_STATE(395)] = 12304,
    [SMALL_STATE(396)] = 12308,
    [SMALL_STATE(397)] = 12312,
    [SMALL_STATE(398)] = 12316,
    [SMALL_STATE(399)] = 12320,
    [SMALL_STATE(400)] = 12324,
    [SMALL_STATE(401)] = 12328,
    [SMALL_STATE(402)] = 12332,
    [SMALL_STATE(403)] = 12336,
    [SMALL_STATE(404)] = 12340,
    [SMALL_STATE(405)] = 12344,
    [SMALL_STATE(406)] = 12348,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 0, 0, 0),
    [5] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(201),
    [7] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(402),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(280),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(7),
    [13] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(5),
    [15] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(113),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(308),
    [19] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(110),
    [21] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(112),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(277),
    [25] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(25),
    [27] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(376),
    [29] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(16),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(17),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(284),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(290),
    [41] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(99),
    [43] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(60),
    [45] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(375),
    [47] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(199),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [51] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(78),
    [53] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(141),
    [55] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(144),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [59] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(114),
    [61] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(405),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(11),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(14),
    [69] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(27),
    [71] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(289),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(288),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(145),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(64),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(370),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(165),
    [85] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(164),
    [87] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(256),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [91] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(403),
    [93] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [95] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(9),
    [99] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(35),
    [101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(296),
    [103] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(295),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(171),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(52),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(364),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(160),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(45),
    [115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(346),
    [117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(48),
    [119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(47),
    [121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(268),
    [125] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(291),
    [127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(62),
    [129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(386),
    [131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(366),
    [133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(341),
    [137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(242),
    [139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(339),
    [143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(228),
    [145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(55),
    [147] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(372),
    [149] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [151] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(277),
    [155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [157] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [159] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(398),
    [163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(174),
    [165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(395),
    [167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(39),
    [169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [171] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(149),
    [173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(180),
    [175] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(136),
    [177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [179] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [181] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(381),
    [183] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(392),
    [189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(30),
    [191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [197] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [199] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(371),
    [201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(371),
    [203] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [205] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [207] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [209] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [211] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [215] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [217] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [219] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(124),
    [223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(36),
    [227] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [229] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(125),
    [233] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [237] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [239] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(33),
    [243] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [245] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [247] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [251] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [255] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [257] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(182),
    [263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(181),
    [265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(166),
    [267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(161),
    [269] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [271] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(15),
    [275] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 1, 0, 0),
    [277] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 1, 0, 0),
    [279] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(200),
    [281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(2),
    [283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [285] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [287] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [289] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 5, 0, 0),
    [291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 5, 0, 0),
    [293] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [295] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [297] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [299] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [301] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [303] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [305] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [307] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [309] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [311] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [313] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [317] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [319] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [321] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 4, 0, 0),
    [323] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 4, 0, 0),
    [325] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 4, 0, 0),
    [327] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 4, 0, 0),
    [329] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [331] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [333] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [335] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [337] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [339] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [341] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [343] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [345] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [347] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [349] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 3, 0, 0),
    [351] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 3, 0, 0),
    [353] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 3, 0, 0),
    [355] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 3, 0, 0),
    [357] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [359] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [361] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [363] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [365] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [367] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(388),
    [371] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(374),
    [373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(374),
    [375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(378),
    [377] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(373),
    [379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(373),
    [381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(380),
    [383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [385] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(3),
    [387] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(51),
    [389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(4),
    [391] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(12),
    [393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 1, 0, 0),
    [395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    [397] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(201),
    [400] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(402),
    [403] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(280),
    [406] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(7),
    [409] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(5),
    [412] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(113),
    [415] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(308),
    [418] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [420] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_operator, 1, 0, 0),
    [424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_operator, 1, 0, 0),
    [426] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_words, 1, 0, 0),
    [428] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(202),
    [430] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_words, 1, 0, 0),
    [432] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    SHIFT_REPEAT(202),
    [437] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [439] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 2, 0, 0),
    [441] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 2, 0, 0),
    [443] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 1, 0, 0),
    [445] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 1, 0, 0),
    [447] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 2, 0, 0),
    [449] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 2, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 3, 0, 0),
    [453] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 3, 0, 0),
    [455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_inline, 4, 0, 0),
    [457] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_inline, 4, 0, 0),
    [459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 3, 0, 1),
    [461] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 3, 0, 1),
    [463] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
    [465] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_comment, 3, 0, 0),
    [467] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_render_expression, 4, 0, 0),
    [469] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_render_expression, 4, 0, 0),
    [471] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_control, 3, 0, 0),
    [473] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_control, 3, 0, 0),
    [475] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [477] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_comment, 2, 0, 0),
    [479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [481] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(389),
    [483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 2, 0, 0),
    [489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 4, 0, 0),
    [491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 3, 0, 0),
    [493] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [496] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(382),
    [499] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(389),
    [502] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    [504] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(382),
    [506] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 3, 0, 0),
    [508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 2, 0, 0),
    [510] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(71),
    [512] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [514] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [516] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 2, 0, 0),
    [518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 4, 0, 0),
    [520] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(377),
    [523] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [525] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(368),
    [535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [537] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 2, 0, 0),
    [539] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 3, 0, 0),
    [541] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 3, 0, 0),
    [543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [545] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 5, 0, 0),
    [547] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 4, 0, 3),
    [549] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 5, 0, 0),
    [551] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    [553] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 4, 0, 0),
    [555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [557] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 2, 0, 0),
    [559] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 2, 0, 0),
    [561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 3, 0, 2),
    [563] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [565] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(316),
    [569] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 1, 0, 0),
    [571] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [573] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(315),
    [577] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 2, 0, 0),
    [579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(76),
    [581] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [583] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 4, 0, 0),
    [585] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 2, 0, 0),
    [591] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 1, 0, 0),
    [595] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(316),
    [598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    [600] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    [602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 3, 0, 0),
    [604] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(43),
    [609] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [613] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(176),
    [615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [617] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(26),
    [619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [621] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(23),
    [623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_filter_statement, 2, 0, 0),
    [627] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [629] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [631] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(128),
    [633] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 2, 0, 0),
    [635] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(57),
    [637] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [639] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [641] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [645] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(57),
    [648] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(229),
    [650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 1, 0, 0),
    [652] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 2, 0, 0),
    [654] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(185),
    [656] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [658] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(130),
    [660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_if_expression, 2, 0, 0),
    [662] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(24),
    [664] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 3, 0, 0),
    [668] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [670] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(135),
    [672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_do_statement, 2, 0, 0),
    [674] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(22),
    [676] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [678] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(8),
    [680] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(286),
    [682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(282),
    [684] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(282),
    [686] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(212),
    [688] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(324),
    [690] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 3, 0, 0),
    [692] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(297),
    [694] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(297),
    [696] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(209),
    [698] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_arg, 3, 0, 0),
    [700] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(6),
    [702] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(278),
    [704] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(146),
    [706] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(301),
    [708] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [710] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(286),
    [713] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(127),
    [715] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(285),
    [717] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(287),
    [719] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(298),
    [721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(322),
    [723] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 1, 0, 0),
    [725] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(269),
    [727] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(183),
    [729] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(172),
    [731] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(293),
    [733] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(294),
    [735] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    SHIFT_REPEAT(297),
    [738] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    SHIFT_REPEAT(297),
    [741] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    [743] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 4, 0, 0),
    [745] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_arg, 1, 0, 0),
    [747] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    [749] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    SHIFT_REPEAT(301),
    [752] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(216),
    [754] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [756] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 2, 0, 0),
    [758] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_attribute, 1, 0, 0),
    [760] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [762] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(20),
    [764] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [766] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(365),
    [768] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [770] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(34),
    [772] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [774] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [776] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [778] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(63),
    [780] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [782] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [784] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(208),
    [786] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(157),
    [788] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_macro_statement, 2, 0, 0),
    [790] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [792] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_block_statement, 2, 0, 0),
    [794] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 2, 0, 0),
    [796] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 2, 0, 0),
    [798] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 4, 0, 0),
    [800] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(210),
    [802] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(46),
    [804] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    [809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(131),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(85),
    [813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [815] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [817] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [819] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    SHIFT_REPEAT(365),
    [822] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    [824] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(31),
    [826] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(66),
    [828] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(211),
    [830] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(28),
    [832] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 6, 0, 0),
    [834] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [836] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(396),
    [838] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(82),
    [840] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [842] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    SHIFT_REPEAT(20),
    [845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    [847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 1, 0, 0),
    [849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 6, 0, 0),
    [851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 5, 0, 0),
    [853] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(69),
    [856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    [858] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(65),
    [860] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 3, 0, 0),
    [862] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [864] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [866] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(186),
    [868] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(42),
    [870] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [872] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [874] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(226),
    [876] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [878] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 1, 0, 0),
    [882] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(235),
    [884] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [886] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(406),
    [888] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [890] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [892] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(399),
    [894] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(132),
    [896] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(383),
    [898] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [900] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(225),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(122),
    [904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(195),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(121),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(243),
    [910] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [912] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(367),
    [914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(369),
    [916] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(321),
    [918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [920] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(404),
    [922] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [924] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [926] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(239),
    [928] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(209),
    [930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(385),
    [932] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [934] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(163),
    [936] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [938] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_from, 2, 0, 0),
    [940] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(207),
    [946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(50),
    [948] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
};

enum ts_external_scanner_symbol_identifiers {
    ts_external_token_raw_start = 0,
    ts_external_token__raw_char = 1,
    ts_external_token_raw_end = 2,
    ts_external_token__inline_words = 3,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
    [ts_external_token_raw_start] = sym_raw_start,
    [ts_external_token__raw_char] = sym__raw_char,
    [ts_external_token_raw_end] = sym_raw_end,
    [ts_external_token__inline_words] = sym__inline_words,
};

static const bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
    [1] = {
        [ts_external_token_raw_start] = true,
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
        [ts_external_token__inline_words] = true,
    },
    [2] = {
        [ts_external_token_raw_start] = true,
    },
    [3] = {
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
    },
    [4] = {
        [ts_external_token__inline_words] = true,
    },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_jinja_external_scanner_create(void);
void tree_sitter_jinja_external_scanner_destroy(void *);
bool tree_sitter_jinja_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_jinja_external_scanner_serialize(void *, char *);
void tree_sitter_jinja_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_jinja(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .external_scanner = {
            &ts_external_scanner_states[0][0],
            ts_external_scanner_symbol_map,
            tree_sitter_jinja_external_scanner_create,
            tree_sitter_jinja_external_scanner_destroy,
            tree_sitter_jinja_external_scanner_scan,
            tree_sitter_jinja_external_scanner_serialize,
            tree_sitter_jinja_external_scanner_deserialize,
        },
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
